Set RandomNumberSeed = 0
Set SimSpeed = AS_FAST_AS_REAL_CLOCK
Set TickToNanoSec = 1
Set WireLogFlag = on
Set WirelessLogFlag = on
Set LteLogFlag = on
Set WiFiChannelCoding11a = on
Set WiFiChannelCoding11n = on
Set WiFiEnableBitError11a = off
Set WiFiEnableBitError11n = off
Set WAVEEnableBitError = off
Set WAVEChannelCoding = on
Set LTEChannelCoding = off
Set RunTimePacketAnimationNodeMovementAndGroupingStatus = off
Set IP_Prefix = 1.0.0.0


Create Node 1 as MOBILE_INFRA with name = MOBILE_INFRA1
	Define port 1
		Module Interface : Node1_Interface_PORT_1
			Set Node1_Interface_PORT_1.ip = 1.0.9.2
			Set Node1_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node1_CLASSIFY_PORT_1
			Set Node1_CLASSIFY_PORT_1.EnableClassify = on
			Set Node1_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N1_P1.flow_rule

		Module ARP : Node1_ARP_PORT_1
			Set Node1_ARP_PORT_1.arpMode = RunARP
			Set Node1_ARP_PORT_1.flushInterval = 3000
			Set Node1_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node1_FIFO_PORT_1
			Set Node1_FIFO_PORT_1.max_qlen = 50
			Set Node1_FIFO_PORT_1.log_qlen = off
			Set Node1_FIFO_PORT_1.log_option = FullLog
			Set Node1_FIFO_PORT_1.samplerate = 1
			Set Node1_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N1_P1_qlen.log
			Set Node1_FIFO_PORT_1.log_drop = off
			Set Node1_FIFO_PORT_1.drop_samplerate = 1
			Set Node1_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N1_P1_drop.log

		Module TCPDUMP : Node1_TCPDUMP_PORT_1

		Module LO : Node1_LO_PORT_1

		Module AMSDU : Node1_AMSDU_PORT_1
			Set Node1_AMSDU_PORT_1.EnableAMSDU = off
			Set Node1_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node1_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node1_MN80211n_PORT_1
			Set Node1_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node1_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node1_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node1_MAC80211n_PORT_1
			Set Node1_MAC80211n_PORT_1.mac = 0:1:0:0:0:2
			Set Node1_MAC80211n_PORT_1.PromisOpt = off
			Set Node1_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node1_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node1_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node1_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node1_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node1_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node1_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node1_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node1_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node1_MAC80211n_PORT_1.log = on
			Set Node1_MAC80211n_PORT_1.logInterval = 1
			Set Node1_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node1_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node1_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node1_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node1_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node1_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node1_MAC80211n_PORT_1.NumCollision = off
			Set Node1_MAC80211n_PORT_1.NumDrop = off
			Set Node1_MAC80211n_PORT_1.InThrput = on
			Set Node1_MAC80211n_PORT_1.OutThrput = off
			Set Node1_MAC80211n_PORT_1.InOutThrput = off
			Set Node1_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_UniIn.log
			Set Node1_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_UniOut.log
			Set Node1_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_UniInOut.log
			Set Node1_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_BroIn.log
			Set Node1_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_BroOut.log
			Set Node1_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_BroInOut.log
			Set Node1_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_Coll.log
			Set Node1_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_Drop.log
			Set Node1_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_InThrput.log
			Set Node1_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_OutThrput.log
			Set Node1_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_InOutThrput.log
			Set Node1_MAC80211n_PORT_1.logMIB = off
			Set Node1_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node1_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N1_P1_mib.log

		Module PHY80211n : Node1_PHY80211n_PORT_1
			Set Node1_PHY80211n_PORT_1.channel = 36
			Set Node1_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node1_PHY80211n_PORT_1.freq = 5180
			Set Node1_PHY80211n_PORT_1.TransPower = 16.02
			Set Node1_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node1_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node1_PHY80211n_PORT_1.linkfail = off
			Set Node1_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N1_P1.linkfail
			Set Node1_PHY80211n_PORT_1.TXlogFlag = off
			Set Node1_PHY80211n_PORT_1.RXlogFlag = off
			Set Node1_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N1_P1.txlog
			Set Node1_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N1_P1.rxlog

		Module CM : Node1_CM_PORT_1
			Set Node1_CM_PORT_1.FadingVar = 10.0
			Set Node1_CM_PORT_1.RiceanK = 10.0
			Set Node1_CM_PORT_1.avgHB = 10.0
			Set Node1_CM_PORT_1.avgDist = 80.0
			Set Node1_CM_PORT_1.StreetWidth = 30.0
			Set Node1_CM_PORT_1.PLExp = 2.0
			Set Node1_CM_PORT_1.std_db = 4.0
			Set Node1_CM_PORT_1.dist0 = 1.0
			Set Node1_CM_PORT_1.SystemLoss = 1.0
			Set Node1_CM_PORT_1.antennaHeight = 1.5
			Set Node1_CM_PORT_1.propChannelMode = theoretical
			Set Node1_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node1_CM_PORT_1.fadingModel = None
			Set Node1_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node1_CM_PORT_1.BeamWidth = 360
			Set Node1_CM_PORT_1.PointingDirection = 90
			Set Node1_CM_PORT_1.AngularSpeed = 0
			Set Node1_CM_PORT_1.AGPOpt = 0
			Set Node1_CM_PORT_1.AGPFileName = null

		Module Link : Node1_PORT_1
			Set Node1_PORT_1.guitag_remotenode = yes


		Bind Node1_Interface_PORT_1 Node1_CLASSIFY_PORT_1
		Bind Node1_CLASSIFY_PORT_1 Node1_ARP_PORT_1
		Bind Node1_ARP_PORT_1 Node1_FIFO_PORT_1
		Bind Node1_FIFO_PORT_1 Node1_TCPDUMP_PORT_1
		Bind Node1_TCPDUMP_PORT_1 Node1_LO_PORT_1
		Bind Node1_LO_PORT_1 Node1_AMSDU_PORT_1
		Bind Node1_AMSDU_PORT_1 Node1_MN80211n_PORT_1
		Bind Node1_MN80211n_PORT_1 Node1_MAC80211n_PORT_1
		Bind Node1_MAC80211n_PORT_1 Node1_PHY80211n_PORT_1
		Bind Node1_PHY80211n_PORT_1 Node1_CM_PORT_1
		Bind Node1_CM_PORT_1 Node1_PORT_1
	EndDefine

EndCreate

Create Node 2 as MOBILE_INFRA with name = MOBILE_INFRA2
	Define port 1
		Module Interface : Node2_Interface_PORT_1
			Set Node2_Interface_PORT_1.ip = 1.0.9.3
			Set Node2_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node2_CLASSIFY_PORT_1
			Set Node2_CLASSIFY_PORT_1.EnableClassify = on
			Set Node2_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N2_P1.flow_rule

		Module ARP : Node2_ARP_PORT_1
			Set Node2_ARP_PORT_1.arpMode = RunARP
			Set Node2_ARP_PORT_1.flushInterval = 3000
			Set Node2_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node2_FIFO_PORT_1
			Set Node2_FIFO_PORT_1.max_qlen = 50
			Set Node2_FIFO_PORT_1.log_qlen = off
			Set Node2_FIFO_PORT_1.log_option = FullLog
			Set Node2_FIFO_PORT_1.samplerate = 1
			Set Node2_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N2_P1_qlen.log
			Set Node2_FIFO_PORT_1.log_drop = off
			Set Node2_FIFO_PORT_1.drop_samplerate = 1
			Set Node2_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N2_P1_drop.log

		Module TCPDUMP : Node2_TCPDUMP_PORT_1

		Module LO : Node2_LO_PORT_1

		Module AMSDU : Node2_AMSDU_PORT_1
			Set Node2_AMSDU_PORT_1.EnableAMSDU = off
			Set Node2_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node2_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node2_MN80211n_PORT_1
			Set Node2_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node2_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node2_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node2_MAC80211n_PORT_1
			Set Node2_MAC80211n_PORT_1.mac = 0:1:0:0:0:3
			Set Node2_MAC80211n_PORT_1.PromisOpt = off
			Set Node2_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node2_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node2_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node2_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node2_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node2_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node2_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node2_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node2_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node2_MAC80211n_PORT_1.log = on
			Set Node2_MAC80211n_PORT_1.logInterval = 1
			Set Node2_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node2_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node2_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node2_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node2_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node2_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node2_MAC80211n_PORT_1.NumCollision = off
			Set Node2_MAC80211n_PORT_1.NumDrop = off
			Set Node2_MAC80211n_PORT_1.InThrput = on
			Set Node2_MAC80211n_PORT_1.OutThrput = off
			Set Node2_MAC80211n_PORT_1.InOutThrput = off
			Set Node2_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_UniIn.log
			Set Node2_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_UniOut.log
			Set Node2_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_UniInOut.log
			Set Node2_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_BroIn.log
			Set Node2_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_BroOut.log
			Set Node2_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_BroInOut.log
			Set Node2_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_Coll.log
			Set Node2_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_Drop.log
			Set Node2_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_InThrput.log
			Set Node2_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_OutThrput.log
			Set Node2_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_InOutThrput.log
			Set Node2_MAC80211n_PORT_1.logMIB = off
			Set Node2_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node2_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N2_P1_mib.log

		Module PHY80211n : Node2_PHY80211n_PORT_1
			Set Node2_PHY80211n_PORT_1.channel = 36
			Set Node2_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node2_PHY80211n_PORT_1.freq = 5180
			Set Node2_PHY80211n_PORT_1.TransPower = 16.02
			Set Node2_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node2_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node2_PHY80211n_PORT_1.linkfail = off
			Set Node2_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N2_P1.linkfail
			Set Node2_PHY80211n_PORT_1.TXlogFlag = off
			Set Node2_PHY80211n_PORT_1.RXlogFlag = off
			Set Node2_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N2_P1.txlog
			Set Node2_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N2_P1.rxlog

		Module CM : Node2_CM_PORT_1
			Set Node2_CM_PORT_1.FadingVar = 10.0
			Set Node2_CM_PORT_1.RiceanK = 10.0
			Set Node2_CM_PORT_1.avgHB = 10.0
			Set Node2_CM_PORT_1.avgDist = 80.0
			Set Node2_CM_PORT_1.StreetWidth = 30.0
			Set Node2_CM_PORT_1.PLExp = 2.0
			Set Node2_CM_PORT_1.std_db = 4.0
			Set Node2_CM_PORT_1.dist0 = 1.0
			Set Node2_CM_PORT_1.SystemLoss = 1.0
			Set Node2_CM_PORT_1.antennaHeight = 1.5
			Set Node2_CM_PORT_1.propChannelMode = theoretical
			Set Node2_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node2_CM_PORT_1.fadingModel = None
			Set Node2_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node2_CM_PORT_1.BeamWidth = 360
			Set Node2_CM_PORT_1.PointingDirection = 90
			Set Node2_CM_PORT_1.AngularSpeed = 0
			Set Node2_CM_PORT_1.AGPOpt = 0
			Set Node2_CM_PORT_1.AGPFileName = null

		Module Link : Node2_PORT_1
			Set Node2_PORT_1.guitag_remotenode = yes


		Bind Node2_Interface_PORT_1 Node2_CLASSIFY_PORT_1
		Bind Node2_CLASSIFY_PORT_1 Node2_ARP_PORT_1
		Bind Node2_ARP_PORT_1 Node2_FIFO_PORT_1
		Bind Node2_FIFO_PORT_1 Node2_TCPDUMP_PORT_1
		Bind Node2_TCPDUMP_PORT_1 Node2_LO_PORT_1
		Bind Node2_LO_PORT_1 Node2_AMSDU_PORT_1
		Bind Node2_AMSDU_PORT_1 Node2_MN80211n_PORT_1
		Bind Node2_MN80211n_PORT_1 Node2_MAC80211n_PORT_1
		Bind Node2_MAC80211n_PORT_1 Node2_PHY80211n_PORT_1
		Bind Node2_PHY80211n_PORT_1 Node2_CM_PORT_1
		Bind Node2_CM_PORT_1 Node2_PORT_1
	EndDefine

EndCreate

Create Node 3 as MOBILE_INFRA with name = MOBILE_INFRA3
	Define port 1
		Module Interface : Node3_Interface_PORT_1
			Set Node3_Interface_PORT_1.ip = 1.0.9.4
			Set Node3_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node3_CLASSIFY_PORT_1
			Set Node3_CLASSIFY_PORT_1.EnableClassify = on
			Set Node3_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N3_P1.flow_rule

		Module ARP : Node3_ARP_PORT_1
			Set Node3_ARP_PORT_1.arpMode = RunARP
			Set Node3_ARP_PORT_1.flushInterval = 3000
			Set Node3_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node3_FIFO_PORT_1
			Set Node3_FIFO_PORT_1.max_qlen = 50
			Set Node3_FIFO_PORT_1.log_qlen = off
			Set Node3_FIFO_PORT_1.log_option = FullLog
			Set Node3_FIFO_PORT_1.samplerate = 1
			Set Node3_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N3_P1_qlen.log
			Set Node3_FIFO_PORT_1.log_drop = off
			Set Node3_FIFO_PORT_1.drop_samplerate = 1
			Set Node3_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N3_P1_drop.log

		Module TCPDUMP : Node3_TCPDUMP_PORT_1

		Module LO : Node3_LO_PORT_1

		Module AMSDU : Node3_AMSDU_PORT_1
			Set Node3_AMSDU_PORT_1.EnableAMSDU = off
			Set Node3_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node3_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node3_MN80211n_PORT_1
			Set Node3_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node3_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node3_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node3_MAC80211n_PORT_1
			Set Node3_MAC80211n_PORT_1.mac = 0:1:0:0:0:4
			Set Node3_MAC80211n_PORT_1.PromisOpt = off
			Set Node3_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node3_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node3_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node3_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node3_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node3_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node3_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node3_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node3_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node3_MAC80211n_PORT_1.log = on
			Set Node3_MAC80211n_PORT_1.logInterval = 1
			Set Node3_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node3_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node3_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node3_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node3_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node3_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node3_MAC80211n_PORT_1.NumCollision = off
			Set Node3_MAC80211n_PORT_1.NumDrop = off
			Set Node3_MAC80211n_PORT_1.InThrput = on
			Set Node3_MAC80211n_PORT_1.OutThrput = off
			Set Node3_MAC80211n_PORT_1.InOutThrput = off
			Set Node3_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_UniIn.log
			Set Node3_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_UniOut.log
			Set Node3_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_UniInOut.log
			Set Node3_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_BroIn.log
			Set Node3_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_BroOut.log
			Set Node3_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_BroInOut.log
			Set Node3_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_Coll.log
			Set Node3_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_Drop.log
			Set Node3_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_InThrput.log
			Set Node3_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_OutThrput.log
			Set Node3_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_InOutThrput.log
			Set Node3_MAC80211n_PORT_1.logMIB = off
			Set Node3_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node3_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N3_P1_mib.log

		Module PHY80211n : Node3_PHY80211n_PORT_1
			Set Node3_PHY80211n_PORT_1.channel = 36
			Set Node3_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node3_PHY80211n_PORT_1.freq = 5180
			Set Node3_PHY80211n_PORT_1.TransPower = 16.02
			Set Node3_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node3_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node3_PHY80211n_PORT_1.linkfail = off
			Set Node3_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N3_P1.linkfail
			Set Node3_PHY80211n_PORT_1.TXlogFlag = off
			Set Node3_PHY80211n_PORT_1.RXlogFlag = off
			Set Node3_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N3_P1.txlog
			Set Node3_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N3_P1.rxlog

		Module CM : Node3_CM_PORT_1
			Set Node3_CM_PORT_1.FadingVar = 10.0
			Set Node3_CM_PORT_1.RiceanK = 10.0
			Set Node3_CM_PORT_1.avgHB = 10.0
			Set Node3_CM_PORT_1.avgDist = 80.0
			Set Node3_CM_PORT_1.StreetWidth = 30.0
			Set Node3_CM_PORT_1.PLExp = 2.0
			Set Node3_CM_PORT_1.std_db = 4.0
			Set Node3_CM_PORT_1.dist0 = 1.0
			Set Node3_CM_PORT_1.SystemLoss = 1.0
			Set Node3_CM_PORT_1.antennaHeight = 1.5
			Set Node3_CM_PORT_1.propChannelMode = theoretical
			Set Node3_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node3_CM_PORT_1.fadingModel = None
			Set Node3_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node3_CM_PORT_1.BeamWidth = 360
			Set Node3_CM_PORT_1.PointingDirection = 90
			Set Node3_CM_PORT_1.AngularSpeed = 0
			Set Node3_CM_PORT_1.AGPOpt = 0
			Set Node3_CM_PORT_1.AGPFileName = null

		Module Link : Node3_PORT_1
			Set Node3_PORT_1.guitag_remotenode = yes


		Bind Node3_Interface_PORT_1 Node3_CLASSIFY_PORT_1
		Bind Node3_CLASSIFY_PORT_1 Node3_ARP_PORT_1
		Bind Node3_ARP_PORT_1 Node3_FIFO_PORT_1
		Bind Node3_FIFO_PORT_1 Node3_TCPDUMP_PORT_1
		Bind Node3_TCPDUMP_PORT_1 Node3_LO_PORT_1
		Bind Node3_LO_PORT_1 Node3_AMSDU_PORT_1
		Bind Node3_AMSDU_PORT_1 Node3_MN80211n_PORT_1
		Bind Node3_MN80211n_PORT_1 Node3_MAC80211n_PORT_1
		Bind Node3_MAC80211n_PORT_1 Node3_PHY80211n_PORT_1
		Bind Node3_PHY80211n_PORT_1 Node3_CM_PORT_1
		Bind Node3_CM_PORT_1 Node3_PORT_1
	EndDefine

EndCreate

Create Node 4 as MOBILE_INFRA with name = MOBILE_INFRA4
	Define port 1
		Module Interface : Node4_Interface_PORT_1
			Set Node4_Interface_PORT_1.ip = 1.0.9.5
			Set Node4_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node4_CLASSIFY_PORT_1
			Set Node4_CLASSIFY_PORT_1.EnableClassify = on
			Set Node4_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N4_P1.flow_rule

		Module ARP : Node4_ARP_PORT_1
			Set Node4_ARP_PORT_1.arpMode = RunARP
			Set Node4_ARP_PORT_1.flushInterval = 3000
			Set Node4_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node4_FIFO_PORT_1
			Set Node4_FIFO_PORT_1.max_qlen = 50
			Set Node4_FIFO_PORT_1.log_qlen = off
			Set Node4_FIFO_PORT_1.log_option = FullLog
			Set Node4_FIFO_PORT_1.samplerate = 1
			Set Node4_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N4_P1_qlen.log
			Set Node4_FIFO_PORT_1.log_drop = off
			Set Node4_FIFO_PORT_1.drop_samplerate = 1
			Set Node4_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N4_P1_drop.log

		Module TCPDUMP : Node4_TCPDUMP_PORT_1

		Module LO : Node4_LO_PORT_1

		Module AMSDU : Node4_AMSDU_PORT_1
			Set Node4_AMSDU_PORT_1.EnableAMSDU = off
			Set Node4_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node4_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node4_MN80211n_PORT_1
			Set Node4_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node4_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node4_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node4_MAC80211n_PORT_1
			Set Node4_MAC80211n_PORT_1.mac = 0:1:0:0:0:5
			Set Node4_MAC80211n_PORT_1.PromisOpt = off
			Set Node4_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node4_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node4_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node4_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node4_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node4_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node4_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node4_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node4_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node4_MAC80211n_PORT_1.log = on
			Set Node4_MAC80211n_PORT_1.logInterval = 1
			Set Node4_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node4_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node4_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node4_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node4_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node4_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node4_MAC80211n_PORT_1.NumCollision = off
			Set Node4_MAC80211n_PORT_1.NumDrop = off
			Set Node4_MAC80211n_PORT_1.InThrput = on
			Set Node4_MAC80211n_PORT_1.OutThrput = off
			Set Node4_MAC80211n_PORT_1.InOutThrput = off
			Set Node4_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_UniIn.log
			Set Node4_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_UniOut.log
			Set Node4_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_UniInOut.log
			Set Node4_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_BroIn.log
			Set Node4_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_BroOut.log
			Set Node4_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_BroInOut.log
			Set Node4_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_Coll.log
			Set Node4_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_Drop.log
			Set Node4_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_InThrput.log
			Set Node4_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_OutThrput.log
			Set Node4_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_InOutThrput.log
			Set Node4_MAC80211n_PORT_1.logMIB = off
			Set Node4_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node4_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N4_P1_mib.log

		Module PHY80211n : Node4_PHY80211n_PORT_1
			Set Node4_PHY80211n_PORT_1.channel = 36
			Set Node4_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node4_PHY80211n_PORT_1.freq = 5180
			Set Node4_PHY80211n_PORT_1.TransPower = 16.02
			Set Node4_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node4_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node4_PHY80211n_PORT_1.linkfail = off
			Set Node4_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N4_P1.linkfail
			Set Node4_PHY80211n_PORT_1.TXlogFlag = off
			Set Node4_PHY80211n_PORT_1.RXlogFlag = off
			Set Node4_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N4_P1.txlog
			Set Node4_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N4_P1.rxlog

		Module CM : Node4_CM_PORT_1
			Set Node4_CM_PORT_1.FadingVar = 10.0
			Set Node4_CM_PORT_1.RiceanK = 10.0
			Set Node4_CM_PORT_1.avgHB = 10.0
			Set Node4_CM_PORT_1.avgDist = 80.0
			Set Node4_CM_PORT_1.StreetWidth = 30.0
			Set Node4_CM_PORT_1.PLExp = 2.0
			Set Node4_CM_PORT_1.std_db = 4.0
			Set Node4_CM_PORT_1.dist0 = 1.0
			Set Node4_CM_PORT_1.SystemLoss = 1.0
			Set Node4_CM_PORT_1.antennaHeight = 1.5
			Set Node4_CM_PORT_1.propChannelMode = theoretical
			Set Node4_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node4_CM_PORT_1.fadingModel = None
			Set Node4_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node4_CM_PORT_1.BeamWidth = 360
			Set Node4_CM_PORT_1.PointingDirection = 90
			Set Node4_CM_PORT_1.AngularSpeed = 0
			Set Node4_CM_PORT_1.AGPOpt = 0
			Set Node4_CM_PORT_1.AGPFileName = null

		Module Link : Node4_PORT_1
			Set Node4_PORT_1.guitag_remotenode = yes


		Bind Node4_Interface_PORT_1 Node4_CLASSIFY_PORT_1
		Bind Node4_CLASSIFY_PORT_1 Node4_ARP_PORT_1
		Bind Node4_ARP_PORT_1 Node4_FIFO_PORT_1
		Bind Node4_FIFO_PORT_1 Node4_TCPDUMP_PORT_1
		Bind Node4_TCPDUMP_PORT_1 Node4_LO_PORT_1
		Bind Node4_LO_PORT_1 Node4_AMSDU_PORT_1
		Bind Node4_AMSDU_PORT_1 Node4_MN80211n_PORT_1
		Bind Node4_MN80211n_PORT_1 Node4_MAC80211n_PORT_1
		Bind Node4_MAC80211n_PORT_1 Node4_PHY80211n_PORT_1
		Bind Node4_PHY80211n_PORT_1 Node4_CM_PORT_1
		Bind Node4_CM_PORT_1 Node4_PORT_1
	EndDefine

EndCreate

Create Node 5 as MOBILE_INFRA with name = MOBILE_INFRA5
	Define port 1
		Module Interface : Node5_Interface_PORT_1
			Set Node5_Interface_PORT_1.ip = 1.0.9.6
			Set Node5_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node5_CLASSIFY_PORT_1
			Set Node5_CLASSIFY_PORT_1.EnableClassify = on
			Set Node5_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N5_P1.flow_rule

		Module ARP : Node5_ARP_PORT_1
			Set Node5_ARP_PORT_1.arpMode = RunARP
			Set Node5_ARP_PORT_1.flushInterval = 3000
			Set Node5_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node5_FIFO_PORT_1
			Set Node5_FIFO_PORT_1.max_qlen = 50
			Set Node5_FIFO_PORT_1.log_qlen = off
			Set Node5_FIFO_PORT_1.log_option = FullLog
			Set Node5_FIFO_PORT_1.samplerate = 1
			Set Node5_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N5_P1_qlen.log
			Set Node5_FIFO_PORT_1.log_drop = off
			Set Node5_FIFO_PORT_1.drop_samplerate = 1
			Set Node5_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N5_P1_drop.log

		Module TCPDUMP : Node5_TCPDUMP_PORT_1

		Module LO : Node5_LO_PORT_1

		Module AMSDU : Node5_AMSDU_PORT_1
			Set Node5_AMSDU_PORT_1.EnableAMSDU = off
			Set Node5_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node5_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node5_MN80211n_PORT_1
			Set Node5_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node5_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node5_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node5_MAC80211n_PORT_1
			Set Node5_MAC80211n_PORT_1.mac = 0:1:0:0:0:6
			Set Node5_MAC80211n_PORT_1.PromisOpt = off
			Set Node5_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node5_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node5_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node5_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node5_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node5_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node5_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node5_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node5_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node5_MAC80211n_PORT_1.log = on
			Set Node5_MAC80211n_PORT_1.logInterval = 1
			Set Node5_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node5_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node5_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node5_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node5_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node5_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node5_MAC80211n_PORT_1.NumCollision = off
			Set Node5_MAC80211n_PORT_1.NumDrop = off
			Set Node5_MAC80211n_PORT_1.InThrput = on
			Set Node5_MAC80211n_PORT_1.OutThrput = off
			Set Node5_MAC80211n_PORT_1.InOutThrput = off
			Set Node5_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_UniIn.log
			Set Node5_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_UniOut.log
			Set Node5_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_UniInOut.log
			Set Node5_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_BroIn.log
			Set Node5_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_BroOut.log
			Set Node5_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_BroInOut.log
			Set Node5_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_Coll.log
			Set Node5_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_Drop.log
			Set Node5_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_InThrput.log
			Set Node5_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_OutThrput.log
			Set Node5_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_InOutThrput.log
			Set Node5_MAC80211n_PORT_1.logMIB = off
			Set Node5_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node5_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N5_P1_mib.log

		Module PHY80211n : Node5_PHY80211n_PORT_1
			Set Node5_PHY80211n_PORT_1.channel = 36
			Set Node5_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node5_PHY80211n_PORT_1.freq = 5180
			Set Node5_PHY80211n_PORT_1.TransPower = 16.02
			Set Node5_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node5_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node5_PHY80211n_PORT_1.linkfail = off
			Set Node5_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N5_P1.linkfail
			Set Node5_PHY80211n_PORT_1.TXlogFlag = off
			Set Node5_PHY80211n_PORT_1.RXlogFlag = off
			Set Node5_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N5_P1.txlog
			Set Node5_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N5_P1.rxlog

		Module CM : Node5_CM_PORT_1
			Set Node5_CM_PORT_1.FadingVar = 10.0
			Set Node5_CM_PORT_1.RiceanK = 10.0
			Set Node5_CM_PORT_1.avgHB = 10.0
			Set Node5_CM_PORT_1.avgDist = 80.0
			Set Node5_CM_PORT_1.StreetWidth = 30.0
			Set Node5_CM_PORT_1.PLExp = 2.0
			Set Node5_CM_PORT_1.std_db = 4.0
			Set Node5_CM_PORT_1.dist0 = 1.0
			Set Node5_CM_PORT_1.SystemLoss = 1.0
			Set Node5_CM_PORT_1.antennaHeight = 1.5
			Set Node5_CM_PORT_1.propChannelMode = theoretical
			Set Node5_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node5_CM_PORT_1.fadingModel = None
			Set Node5_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node5_CM_PORT_1.BeamWidth = 360
			Set Node5_CM_PORT_1.PointingDirection = 90
			Set Node5_CM_PORT_1.AngularSpeed = 0
			Set Node5_CM_PORT_1.AGPOpt = 0
			Set Node5_CM_PORT_1.AGPFileName = null

		Module Link : Node5_PORT_1
			Set Node5_PORT_1.guitag_remotenode = yes


		Bind Node5_Interface_PORT_1 Node5_CLASSIFY_PORT_1
		Bind Node5_CLASSIFY_PORT_1 Node5_ARP_PORT_1
		Bind Node5_ARP_PORT_1 Node5_FIFO_PORT_1
		Bind Node5_FIFO_PORT_1 Node5_TCPDUMP_PORT_1
		Bind Node5_TCPDUMP_PORT_1 Node5_LO_PORT_1
		Bind Node5_LO_PORT_1 Node5_AMSDU_PORT_1
		Bind Node5_AMSDU_PORT_1 Node5_MN80211n_PORT_1
		Bind Node5_MN80211n_PORT_1 Node5_MAC80211n_PORT_1
		Bind Node5_MAC80211n_PORT_1 Node5_PHY80211n_PORT_1
		Bind Node5_PHY80211n_PORT_1 Node5_CM_PORT_1
		Bind Node5_CM_PORT_1 Node5_PORT_1
	EndDefine

EndCreate

Create Node 6 as MOBILE_INFRA with name = MOBILE_INFRA6
	Define port 1
		Module Interface : Node6_Interface_PORT_1
			Set Node6_Interface_PORT_1.ip = 1.0.9.7
			Set Node6_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node6_CLASSIFY_PORT_1
			Set Node6_CLASSIFY_PORT_1.EnableClassify = on
			Set Node6_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N6_P1.flow_rule

		Module ARP : Node6_ARP_PORT_1
			Set Node6_ARP_PORT_1.arpMode = RunARP
			Set Node6_ARP_PORT_1.flushInterval = 3000
			Set Node6_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node6_FIFO_PORT_1
			Set Node6_FIFO_PORT_1.max_qlen = 50
			Set Node6_FIFO_PORT_1.log_qlen = off
			Set Node6_FIFO_PORT_1.log_option = FullLog
			Set Node6_FIFO_PORT_1.samplerate = 1
			Set Node6_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N6_P1_qlen.log
			Set Node6_FIFO_PORT_1.log_drop = off
			Set Node6_FIFO_PORT_1.drop_samplerate = 1
			Set Node6_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N6_P1_drop.log

		Module TCPDUMP : Node6_TCPDUMP_PORT_1

		Module LO : Node6_LO_PORT_1

		Module AMSDU : Node6_AMSDU_PORT_1
			Set Node6_AMSDU_PORT_1.EnableAMSDU = off
			Set Node6_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node6_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node6_MN80211n_PORT_1
			Set Node6_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node6_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node6_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node6_MAC80211n_PORT_1
			Set Node6_MAC80211n_PORT_1.mac = 0:1:0:0:0:7
			Set Node6_MAC80211n_PORT_1.PromisOpt = off
			Set Node6_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node6_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node6_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node6_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node6_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node6_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node6_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node6_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node6_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node6_MAC80211n_PORT_1.log = on
			Set Node6_MAC80211n_PORT_1.logInterval = 1
			Set Node6_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node6_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node6_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node6_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node6_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node6_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node6_MAC80211n_PORT_1.NumCollision = off
			Set Node6_MAC80211n_PORT_1.NumDrop = off
			Set Node6_MAC80211n_PORT_1.InThrput = on
			Set Node6_MAC80211n_PORT_1.OutThrput = off
			Set Node6_MAC80211n_PORT_1.InOutThrput = off
			Set Node6_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_UniIn.log
			Set Node6_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_UniOut.log
			Set Node6_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_UniInOut.log
			Set Node6_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_BroIn.log
			Set Node6_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_BroOut.log
			Set Node6_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_BroInOut.log
			Set Node6_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_Coll.log
			Set Node6_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_Drop.log
			Set Node6_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_InThrput.log
			Set Node6_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_OutThrput.log
			Set Node6_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_InOutThrput.log
			Set Node6_MAC80211n_PORT_1.logMIB = off
			Set Node6_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node6_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N6_P1_mib.log

		Module PHY80211n : Node6_PHY80211n_PORT_1
			Set Node6_PHY80211n_PORT_1.channel = 36
			Set Node6_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node6_PHY80211n_PORT_1.freq = 5180
			Set Node6_PHY80211n_PORT_1.TransPower = 16.02
			Set Node6_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node6_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node6_PHY80211n_PORT_1.linkfail = off
			Set Node6_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N6_P1.linkfail
			Set Node6_PHY80211n_PORT_1.TXlogFlag = off
			Set Node6_PHY80211n_PORT_1.RXlogFlag = off
			Set Node6_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N6_P1.txlog
			Set Node6_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N6_P1.rxlog

		Module CM : Node6_CM_PORT_1
			Set Node6_CM_PORT_1.FadingVar = 10.0
			Set Node6_CM_PORT_1.RiceanK = 10.0
			Set Node6_CM_PORT_1.avgHB = 10.0
			Set Node6_CM_PORT_1.avgDist = 80.0
			Set Node6_CM_PORT_1.StreetWidth = 30.0
			Set Node6_CM_PORT_1.PLExp = 2.0
			Set Node6_CM_PORT_1.std_db = 4.0
			Set Node6_CM_PORT_1.dist0 = 1.0
			Set Node6_CM_PORT_1.SystemLoss = 1.0
			Set Node6_CM_PORT_1.antennaHeight = 1.5
			Set Node6_CM_PORT_1.propChannelMode = theoretical
			Set Node6_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node6_CM_PORT_1.fadingModel = None
			Set Node6_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node6_CM_PORT_1.BeamWidth = 360
			Set Node6_CM_PORT_1.PointingDirection = 90
			Set Node6_CM_PORT_1.AngularSpeed = 0
			Set Node6_CM_PORT_1.AGPOpt = 0
			Set Node6_CM_PORT_1.AGPFileName = null

		Module Link : Node6_PORT_1
			Set Node6_PORT_1.guitag_remotenode = yes


		Bind Node6_Interface_PORT_1 Node6_CLASSIFY_PORT_1
		Bind Node6_CLASSIFY_PORT_1 Node6_ARP_PORT_1
		Bind Node6_ARP_PORT_1 Node6_FIFO_PORT_1
		Bind Node6_FIFO_PORT_1 Node6_TCPDUMP_PORT_1
		Bind Node6_TCPDUMP_PORT_1 Node6_LO_PORT_1
		Bind Node6_LO_PORT_1 Node6_AMSDU_PORT_1
		Bind Node6_AMSDU_PORT_1 Node6_MN80211n_PORT_1
		Bind Node6_MN80211n_PORT_1 Node6_MAC80211n_PORT_1
		Bind Node6_MAC80211n_PORT_1 Node6_PHY80211n_PORT_1
		Bind Node6_PHY80211n_PORT_1 Node6_CM_PORT_1
		Bind Node6_CM_PORT_1 Node6_PORT_1
	EndDefine

EndCreate

Create Node 7 as MOBILE_INFRA with name = MOBILE_INFRA7
	Define port 1
		Module Interface : Node7_Interface_PORT_1
			Set Node7_Interface_PORT_1.ip = 1.0.9.8
			Set Node7_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node7_CLASSIFY_PORT_1
			Set Node7_CLASSIFY_PORT_1.EnableClassify = on
			Set Node7_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N7_P1.flow_rule

		Module ARP : Node7_ARP_PORT_1
			Set Node7_ARP_PORT_1.arpMode = RunARP
			Set Node7_ARP_PORT_1.flushInterval = 3000
			Set Node7_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node7_FIFO_PORT_1
			Set Node7_FIFO_PORT_1.max_qlen = 50
			Set Node7_FIFO_PORT_1.log_qlen = off
			Set Node7_FIFO_PORT_1.log_option = FullLog
			Set Node7_FIFO_PORT_1.samplerate = 1
			Set Node7_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N7_P1_qlen.log
			Set Node7_FIFO_PORT_1.log_drop = off
			Set Node7_FIFO_PORT_1.drop_samplerate = 1
			Set Node7_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N7_P1_drop.log

		Module TCPDUMP : Node7_TCPDUMP_PORT_1

		Module LO : Node7_LO_PORT_1

		Module AMSDU : Node7_AMSDU_PORT_1
			Set Node7_AMSDU_PORT_1.EnableAMSDU = off
			Set Node7_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node7_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node7_MN80211n_PORT_1
			Set Node7_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node7_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node7_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node7_MAC80211n_PORT_1
			Set Node7_MAC80211n_PORT_1.mac = 0:1:0:0:0:8
			Set Node7_MAC80211n_PORT_1.PromisOpt = off
			Set Node7_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node7_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node7_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node7_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node7_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node7_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node7_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node7_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node7_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node7_MAC80211n_PORT_1.log = on
			Set Node7_MAC80211n_PORT_1.logInterval = 1
			Set Node7_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node7_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node7_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node7_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node7_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node7_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node7_MAC80211n_PORT_1.NumCollision = off
			Set Node7_MAC80211n_PORT_1.NumDrop = off
			Set Node7_MAC80211n_PORT_1.InThrput = on
			Set Node7_MAC80211n_PORT_1.OutThrput = off
			Set Node7_MAC80211n_PORT_1.InOutThrput = off
			Set Node7_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_UniIn.log
			Set Node7_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_UniOut.log
			Set Node7_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_UniInOut.log
			Set Node7_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_BroIn.log
			Set Node7_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_BroOut.log
			Set Node7_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_BroInOut.log
			Set Node7_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_Coll.log
			Set Node7_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_Drop.log
			Set Node7_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_InThrput.log
			Set Node7_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_OutThrput.log
			Set Node7_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_InOutThrput.log
			Set Node7_MAC80211n_PORT_1.logMIB = off
			Set Node7_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node7_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N7_P1_mib.log

		Module PHY80211n : Node7_PHY80211n_PORT_1
			Set Node7_PHY80211n_PORT_1.channel = 36
			Set Node7_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node7_PHY80211n_PORT_1.freq = 5180
			Set Node7_PHY80211n_PORT_1.TransPower = 16.02
			Set Node7_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node7_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node7_PHY80211n_PORT_1.linkfail = off
			Set Node7_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N7_P1.linkfail
			Set Node7_PHY80211n_PORT_1.TXlogFlag = off
			Set Node7_PHY80211n_PORT_1.RXlogFlag = off
			Set Node7_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N7_P1.txlog
			Set Node7_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N7_P1.rxlog

		Module CM : Node7_CM_PORT_1
			Set Node7_CM_PORT_1.FadingVar = 10.0
			Set Node7_CM_PORT_1.RiceanK = 10.0
			Set Node7_CM_PORT_1.avgHB = 10.0
			Set Node7_CM_PORT_1.avgDist = 80.0
			Set Node7_CM_PORT_1.StreetWidth = 30.0
			Set Node7_CM_PORT_1.PLExp = 2.0
			Set Node7_CM_PORT_1.std_db = 4.0
			Set Node7_CM_PORT_1.dist0 = 1.0
			Set Node7_CM_PORT_1.SystemLoss = 1.0
			Set Node7_CM_PORT_1.antennaHeight = 1.5
			Set Node7_CM_PORT_1.propChannelMode = theoretical
			Set Node7_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node7_CM_PORT_1.fadingModel = None
			Set Node7_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node7_CM_PORT_1.BeamWidth = 360
			Set Node7_CM_PORT_1.PointingDirection = 90
			Set Node7_CM_PORT_1.AngularSpeed = 0
			Set Node7_CM_PORT_1.AGPOpt = 0
			Set Node7_CM_PORT_1.AGPFileName = null

		Module Link : Node7_PORT_1
			Set Node7_PORT_1.guitag_remotenode = yes


		Bind Node7_Interface_PORT_1 Node7_CLASSIFY_PORT_1
		Bind Node7_CLASSIFY_PORT_1 Node7_ARP_PORT_1
		Bind Node7_ARP_PORT_1 Node7_FIFO_PORT_1
		Bind Node7_FIFO_PORT_1 Node7_TCPDUMP_PORT_1
		Bind Node7_TCPDUMP_PORT_1 Node7_LO_PORT_1
		Bind Node7_LO_PORT_1 Node7_AMSDU_PORT_1
		Bind Node7_AMSDU_PORT_1 Node7_MN80211n_PORT_1
		Bind Node7_MN80211n_PORT_1 Node7_MAC80211n_PORT_1
		Bind Node7_MAC80211n_PORT_1 Node7_PHY80211n_PORT_1
		Bind Node7_PHY80211n_PORT_1 Node7_CM_PORT_1
		Bind Node7_CM_PORT_1 Node7_PORT_1
	EndDefine

EndCreate

Create Node 8 as MOBILE_INFRA with name = MOBILE_INFRA8
	Define port 1
		Module Interface : Node8_Interface_PORT_1
			Set Node8_Interface_PORT_1.ip = 1.0.9.9
			Set Node8_Interface_PORT_1.netmask = 255.255.255.0

		Module CLASSIFY : Node8_CLASSIFY_PORT_1
			Set Node8_CLASSIFY_PORT_1.EnableClassify = on
			Set Node8_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N8_P1.flow_rule

		Module ARP : Node8_ARP_PORT_1
			Set Node8_ARP_PORT_1.arpMode = RunARP
			Set Node8_ARP_PORT_1.flushInterval = 3000
			Set Node8_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node8_FIFO_PORT_1
			Set Node8_FIFO_PORT_1.max_qlen = 50
			Set Node8_FIFO_PORT_1.log_qlen = off
			Set Node8_FIFO_PORT_1.log_option = FullLog
			Set Node8_FIFO_PORT_1.samplerate = 1
			Set Node8_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N8_P1_qlen.log
			Set Node8_FIFO_PORT_1.log_drop = off
			Set Node8_FIFO_PORT_1.drop_samplerate = 1
			Set Node8_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N8_P1_drop.log

		Module TCPDUMP : Node8_TCPDUMP_PORT_1

		Module LO : Node8_LO_PORT_1

		Module AMSDU : Node8_AMSDU_PORT_1
			Set Node8_AMSDU_PORT_1.EnableAMSDU = off
			Set Node8_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node8_AMSDU_PORT_1.PktTimeout = 10

		Module MN80211n : Node8_MN80211n_PORT_1
			Set Node8_MN80211n_PORT_1.OperationMode = INFRASTRUCTURE
			Set Node8_MN80211n_PORT_1.ScanMode = PASSIVE_SCAN
			Set Node8_MN80211n_PORT_1.DesignedCh = off

		Module MAC80211n : Node8_MAC80211n_PORT_1
			Set Node8_MAC80211n_PORT_1.mac = 0:1:0:0:0:9
			Set Node8_MAC80211n_PORT_1.PromisOpt = off
			Set Node8_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node8_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node8_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node8_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node8_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node8_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node8_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node8_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node8_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node8_MAC80211n_PORT_1.log = on
			Set Node8_MAC80211n_PORT_1.logInterval = 1
			Set Node8_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node8_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node8_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node8_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node8_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node8_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node8_MAC80211n_PORT_1.NumCollision = off
			Set Node8_MAC80211n_PORT_1.NumDrop = off
			Set Node8_MAC80211n_PORT_1.InThrput = on
			Set Node8_MAC80211n_PORT_1.OutThrput = off
			Set Node8_MAC80211n_PORT_1.InOutThrput = off
			Set Node8_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_UniIn.log
			Set Node8_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_UniOut.log
			Set Node8_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_UniInOut.log
			Set Node8_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_BroIn.log
			Set Node8_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_BroOut.log
			Set Node8_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_BroInOut.log
			Set Node8_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_Coll.log
			Set Node8_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_Drop.log
			Set Node8_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_InThrput.log
			Set Node8_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_OutThrput.log
			Set Node8_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_InOutThrput.log
			Set Node8_MAC80211n_PORT_1.logMIB = off
			Set Node8_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node8_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N8_P1_mib.log

		Module PHY80211n : Node8_PHY80211n_PORT_1
			Set Node8_PHY80211n_PORT_1.channel = 36
			Set Node8_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node8_PHY80211n_PORT_1.freq = 5180
			Set Node8_PHY80211n_PORT_1.TransPower = 16.02
			Set Node8_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node8_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node8_PHY80211n_PORT_1.linkfail = off
			Set Node8_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N8_P1.linkfail
			Set Node8_PHY80211n_PORT_1.TXlogFlag = off
			Set Node8_PHY80211n_PORT_1.RXlogFlag = off
			Set Node8_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N8_P1.txlog
			Set Node8_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N8_P1.rxlog

		Module CM : Node8_CM_PORT_1
			Set Node8_CM_PORT_1.FadingVar = 10.0
			Set Node8_CM_PORT_1.RiceanK = 10.0
			Set Node8_CM_PORT_1.avgHB = 10.0
			Set Node8_CM_PORT_1.avgDist = 80.0
			Set Node8_CM_PORT_1.StreetWidth = 30.0
			Set Node8_CM_PORT_1.PLExp = 2.0
			Set Node8_CM_PORT_1.std_db = 4.0
			Set Node8_CM_PORT_1.dist0 = 1.0
			Set Node8_CM_PORT_1.SystemLoss = 1.0
			Set Node8_CM_PORT_1.antennaHeight = 1.5
			Set Node8_CM_PORT_1.propChannelMode = theoretical
			Set Node8_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node8_CM_PORT_1.fadingModel = None
			Set Node8_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node8_CM_PORT_1.BeamWidth = 360
			Set Node8_CM_PORT_1.PointingDirection = 90
			Set Node8_CM_PORT_1.AngularSpeed = 0
			Set Node8_CM_PORT_1.AGPOpt = 0
			Set Node8_CM_PORT_1.AGPFileName = null

		Module Link : Node8_PORT_1
			Set Node8_PORT_1.guitag_remotenode = yes


		Bind Node8_Interface_PORT_1 Node8_CLASSIFY_PORT_1
		Bind Node8_CLASSIFY_PORT_1 Node8_ARP_PORT_1
		Bind Node8_ARP_PORT_1 Node8_FIFO_PORT_1
		Bind Node8_FIFO_PORT_1 Node8_TCPDUMP_PORT_1
		Bind Node8_TCPDUMP_PORT_1 Node8_LO_PORT_1
		Bind Node8_LO_PORT_1 Node8_AMSDU_PORT_1
		Bind Node8_AMSDU_PORT_1 Node8_MN80211n_PORT_1
		Bind Node8_MN80211n_PORT_1 Node8_MAC80211n_PORT_1
		Bind Node8_MAC80211n_PORT_1 Node8_PHY80211n_PORT_1
		Bind Node8_PHY80211n_PORT_1 Node8_CM_PORT_1
		Bind Node8_CM_PORT_1 Node8_PORT_1
	EndDefine

EndCreate

Create Node 9 as AP with name = AP9
	Module Switch : Node9_Switch_0
		Set Node9_Switch_0.guitag_addport = yes
		Set Node9_Switch_0.guitag_addport = yes
		Set Node9_Switch_0.SWITCH_MODE = RunLearningBridgeProtocol
		Set Node9_Switch_0.flushInterval = 3000
		Set Node9_Switch_0.SpanningTreeProtocol = off
		Set Node9_Switch_0.HelloTime = 2
		Set Node9_Switch_0.MaxAge = 20
		Set Node9_Switch_0.ForwardDelay = 15
		Set Node9_Switch_0.SwitchTableFileName = SDN_Switch_TCP_Bandwidth_Static.sw_N9.smt
	Define port 1
		Module CLASSIFY : Node9_CLASSIFY_PORT_1

			Set Node9_Switch_0.port1 = Node9_CLASSIFY_PORT_1
			Set Node9_Switch_0.fixed_net1 = Node9_CLASSIFY_PORT_1.no
			Set Node9_CLASSIFY_PORT_1.recvtarget = Node9_Switch_0

			Set Node9_CLASSIFY_PORT_1.EnableClassify = on
			Set Node9_CLASSIFY_PORT_1.ClassifyFileName = SDN_Switch_TCP_Bandwidth_Static.N9_P1.flow_rule

		Module FIFO : Node9_FIFO_PORT_1
			Set Node9_FIFO_PORT_1.max_qlen = 50
			Set Node9_FIFO_PORT_1.log_qlen = off
			Set Node9_FIFO_PORT_1.log_option = FullLog
			Set Node9_FIFO_PORT_1.samplerate = 1
			Set Node9_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N9_P1_qlen.log
			Set Node9_FIFO_PORT_1.log_drop = off
			Set Node9_FIFO_PORT_1.drop_samplerate = 1
			Set Node9_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N9_P1_drop.log

		Module AMSDU : Node9_AMSDU_PORT_1
			Set Node9_AMSDU_PORT_1.EnableAMSDU = off
			Set Node9_AMSDU_PORT_1.MaxLenAMSDU = 3839
			Set Node9_AMSDU_PORT_1.PktTimeout = 10

		Module AP80211n : Node9_AP80211n_PORT_1
			Set Node9_AP80211n_PORT_1.BeaconInterval = 100

		Module MAC80211n : Node9_MAC80211n_PORT_1
			Set Node9_MAC80211n_PORT_1.mac = 0:1:0:0:0:a
			Set Node9_MAC80211n_PORT_1.PromisOpt = off
			Set Node9_MAC80211n_PORT_1.RTS_Threshold = 3000
			Set Node9_MAC80211n_PORT_1.EnableBlockAck_AC_VI = off
			Set Node9_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VI = 64
			Set Node9_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VI = 100
			Set Node9_MAC80211n_PORT_1.EnableAMPDU_AC_VI = off
			Set Node9_MAC80211n_PORT_1.EnableBlockAck_AC_VO = off
			Set Node9_MAC80211n_PORT_1.MaxNumOfMPDUinBlock_AC_VO = 64
			Set Node9_MAC80211n_PORT_1.LifetimeOfMPDUinBlock_AC_VO = 100
			Set Node9_MAC80211n_PORT_1.EnableAMPDU_AC_VO = off
			Set Node9_MAC80211n_PORT_1.log = off
			Set Node9_MAC80211n_PORT_1.logInterval = 1
			Set Node9_MAC80211n_PORT_1.NumUniInPkt = off
			Set Node9_MAC80211n_PORT_1.NumUniOutPkt = off
			Set Node9_MAC80211n_PORT_1.NumUniInOutPkt = off
			Set Node9_MAC80211n_PORT_1.NumBroInPkt = off
			Set Node9_MAC80211n_PORT_1.NumBroOutPkt = off
			Set Node9_MAC80211n_PORT_1.NumBroInOutPkt = off
			Set Node9_MAC80211n_PORT_1.NumCollision = off
			Set Node9_MAC80211n_PORT_1.NumDrop = off
			Set Node9_MAC80211n_PORT_1.InThrput = off
			Set Node9_MAC80211n_PORT_1.OutThrput = off
			Set Node9_MAC80211n_PORT_1.InOutThrput = off
			Set Node9_MAC80211n_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_UniIn.log
			Set Node9_MAC80211n_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_UniOut.log
			Set Node9_MAC80211n_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_UniInOut.log
			Set Node9_MAC80211n_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_BroIn.log
			Set Node9_MAC80211n_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_BroOut.log
			Set Node9_MAC80211n_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_BroInOut.log
			Set Node9_MAC80211n_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_Coll.log
			Set Node9_MAC80211n_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_Drop.log
			Set Node9_MAC80211n_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_InThrput.log
			Set Node9_MAC80211n_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_OutThrput.log
			Set Node9_MAC80211n_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_InOutThrput.log
			Set Node9_MAC80211n_PORT_1.logMIB = off
			Set Node9_MAC80211n_PORT_1.logMIBInterval = 1
			Set Node9_MAC80211n_PORT_1.MIBLogFile = SDN_Switch_TCP_Bandwidth_Static.80211n_N9_P1_mib.log

		Module PHY80211n : Node9_PHY80211n_PORT_1
			Set Node9_PHY80211n_PORT_1.channel = 36
			Set Node9_PHY80211n_PORT_1.DataRate = 150.0_(40MHz_64QAM_CC5/6_GI400ns)
			Set Node9_PHY80211n_PORT_1.freq = 5180
			Set Node9_PHY80211n_PORT_1.TransPower = 16.02
			Set Node9_PHY80211n_PORT_1.CSThresh = -82.0
			Set Node9_PHY80211n_PORT_1.CSThresh_2nd = -82.0
			Set Node9_PHY80211n_PORT_1.linkfail = off
			Set Node9_PHY80211n_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy80211n_N9_P1.linkfail
			Set Node9_PHY80211n_PORT_1.TXlogFlag = off
			Set Node9_PHY80211n_PORT_1.RXlogFlag = off
			Set Node9_PHY80211n_PORT_1.TXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N9_P1.txlog
			Set Node9_PHY80211n_PORT_1.RXlogFileName = SDN_Switch_TCP_Bandwidth_Static.phy_80211n_N9_P1.rxlog

		Module CM : Node9_CM_PORT_1
			Set Node9_CM_PORT_1.FadingVar = 10.0
			Set Node9_CM_PORT_1.RiceanK = 10.0
			Set Node9_CM_PORT_1.avgHB = 10.0
			Set Node9_CM_PORT_1.avgDist = 80.0
			Set Node9_CM_PORT_1.StreetWidth = 30.0
			Set Node9_CM_PORT_1.PLExp = 2.0
			Set Node9_CM_PORT_1.std_db = 4.0
			Set Node9_CM_PORT_1.dist0 = 1.0
			Set Node9_CM_PORT_1.SystemLoss = 1.0
			Set Node9_CM_PORT_1.antennaHeight = 1.5
			Set Node9_CM_PORT_1.propChannelMode = theoretical
			Set Node9_CM_PORT_1.PLModel = Two_Ray_Ground
			Set Node9_CM_PORT_1.fadingModel = None
			Set Node9_CM_PORT_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node9_CM_PORT_1.BeamWidth = 360
			Set Node9_CM_PORT_1.PointingDirection = 90
			Set Node9_CM_PORT_1.AngularSpeed = 0
			Set Node9_CM_PORT_1.AGPOpt = 0
			Set Node9_CM_PORT_1.AGPFileName = null

		Module Link : Node9_PORT_1
			Set Node9_PORT_1.guitag_remotenode = yes


		Bind Node9_CLASSIFY_PORT_1 Node9_FIFO_PORT_1
		Bind Node9_FIFO_PORT_1 Node9_AMSDU_PORT_1
		Bind Node9_AMSDU_PORT_1 Node9_AP80211n_PORT_1
		Bind Node9_AP80211n_PORT_1 Node9_MAC80211n_PORT_1
		Bind Node9_MAC80211n_PORT_1 Node9_PHY80211n_PORT_1
		Bind Node9_PHY80211n_PORT_1 Node9_CM_PORT_1
		Bind Node9_CM_PORT_1 Node9_PORT_1
	EndDefine

	Define port 2
		Module FIFO : Node9_FIFO_PORT_2

			Set Node9_Switch_0.port2 = Node9_FIFO_PORT_2
			Set Node9_Switch_0.fixed_net2 = Node9_FIFO_PORT_2.no
			Set Node9_FIFO_PORT_2.recvtarget = Node9_Switch_0

			Set Node9_FIFO_PORT_2.max_qlen = 50
			Set Node9_FIFO_PORT_2.log_qlen = off
			Set Node9_FIFO_PORT_2.log_option = FullLog
			Set Node9_FIFO_PORT_2.samplerate = 1
			Set Node9_FIFO_PORT_2.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N9_P2_qlen.log
			Set Node9_FIFO_PORT_2.log_drop = off
			Set Node9_FIFO_PORT_2.drop_samplerate = 1
			Set Node9_FIFO_PORT_2.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N9_P2_drop.log

		Module MAC8023 : Node9_MAC8023_PORT_2
			Set Node9_MAC8023_PORT_2.mac = 0:1:0:0:0:b
			Set Node9_MAC8023_PORT_2.lock_mac = off
			Set Node9_MAC8023_PORT_2.PromisOpt = on
			Set Node9_MAC8023_PORT_2.mode = full
			Set Node9_MAC8023_PORT_2.log = off
			Set Node9_MAC8023_PORT_2.logInterval = 1
			Set Node9_MAC8023_PORT_2.NumCollision = off
			Set Node9_MAC8023_PORT_2.NumUniInPkt = off
			Set Node9_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node9_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node9_MAC8023_PORT_2.NumBroInPkt = off
			Set Node9_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node9_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node9_MAC8023_PORT_2.NumDrop = off
			Set Node9_MAC8023_PORT_2.InThrput = off
			Set Node9_MAC8023_PORT_2.OutThrput = off
			Set Node9_MAC8023_PORT_2.InOutThrput = off
			Set Node9_MAC8023_PORT_2.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_UniIn.log
			Set Node9_MAC8023_PORT_2.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_UniOut.log
			Set Node9_MAC8023_PORT_2.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_UniInOut.log
			Set Node9_MAC8023_PORT_2.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_BroIn.log
			Set Node9_MAC8023_PORT_2.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_BroOut.log
			Set Node9_MAC8023_PORT_2.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_BroInOut.log
			Set Node9_MAC8023_PORT_2.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_Coll.log
			Set Node9_MAC8023_PORT_2.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_Drop.log
			Set Node9_MAC8023_PORT_2.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_InThrput.log
			Set Node9_MAC8023_PORT_2.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_OutThrput.log
			Set Node9_MAC8023_PORT_2.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N9_P2_InOutThrput.log
			Set Node9_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node9_Phy_PORT_2
			Set Node9_Phy_PORT_2.Bw = 1000.00
			Set Node9_Phy_PORT_2.BER = 0.000000000
			Set Node9_Phy_PORT_2.PropDelay = 500.00
			Set Node9_Phy_PORT_2.linkfail = off
			Set Node9_Phy_PORT_2.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N9_P2.linkfail

		Module Link : Node9_PORT_2
			Set Node9_PORT_2.guitag_remotenode = yes


		Bind Node9_FIFO_PORT_2 Node9_MAC8023_PORT_2
		Bind Node9_MAC8023_PORT_2 Node9_Phy_PORT_2
		Bind Node9_Phy_PORT_2 Node9_PORT_2
	EndDefine

EndCreate

Create Node 10 as ROUTER with name = ROUTER10
	Define port 1
		Module Interface : Node10_Interface_PORT_1
			Set Node10_Interface_PORT_1.ip = 1.0.1.1
			Set Node10_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_1
			Set Node10_ARP_PORT_1.arpMode = RunARP
			Set Node10_ARP_PORT_1.flushInterval = 3000
			Set Node10_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_1
			Set Node10_FIFO_PORT_1.max_qlen = 50
			Set Node10_FIFO_PORT_1.log_qlen = off
			Set Node10_FIFO_PORT_1.log_option = FullLog
			Set Node10_FIFO_PORT_1.samplerate = 1
			Set Node10_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P1_qlen.log
			Set Node10_FIFO_PORT_1.log_drop = off
			Set Node10_FIFO_PORT_1.drop_samplerate = 1
			Set Node10_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P1_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_1

		Module MAC8023 : Node10_MAC8023_PORT_1
			Set Node10_MAC8023_PORT_1.mac = 0:1:0:0:0:c
			Set Node10_MAC8023_PORT_1.lock_mac = off
			Set Node10_MAC8023_PORT_1.PromisOpt = off
			Set Node10_MAC8023_PORT_1.mode = full
			Set Node10_MAC8023_PORT_1.log = off
			Set Node10_MAC8023_PORT_1.logInterval = 1
			Set Node10_MAC8023_PORT_1.NumCollision = off
			Set Node10_MAC8023_PORT_1.NumUniInPkt = off
			Set Node10_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_1.NumBroInPkt = off
			Set Node10_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_1.NumDrop = off
			Set Node10_MAC8023_PORT_1.InThrput = off
			Set Node10_MAC8023_PORT_1.OutThrput = off
			Set Node10_MAC8023_PORT_1.InOutThrput = off
			Set Node10_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_UniIn.log
			Set Node10_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_UniOut.log
			Set Node10_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_UniInOut.log
			Set Node10_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_BroIn.log
			Set Node10_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_BroOut.log
			Set Node10_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_BroInOut.log
			Set Node10_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_Coll.log
			Set Node10_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_Drop.log
			Set Node10_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_InThrput.log
			Set Node10_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_OutThrput.log
			Set Node10_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P1_InOutThrput.log
			Set Node10_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_1
			Set Node10_Phy_PORT_1.Bw = 10.00
			Set Node10_Phy_PORT_1.BER = 0.000000000
			Set Node10_Phy_PORT_1.PropDelay = 5000.00
			Set Node10_Phy_PORT_1.linkfail = off
			Set Node10_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P1.linkfail

		Module Link : Node10_PORT_1
			Set Node10_PORT_1.guitag_remotenode = yes


		Bind Node10_Interface_PORT_1 Node10_ARP_PORT_1
		Bind Node10_ARP_PORT_1 Node10_FIFO_PORT_1
		Bind Node10_FIFO_PORT_1 Node10_TCPDUMP_PORT_1
		Bind Node10_TCPDUMP_PORT_1 Node10_MAC8023_PORT_1
		Bind Node10_MAC8023_PORT_1 Node10_Phy_PORT_1
		Bind Node10_Phy_PORT_1 Node10_PORT_1
	EndDefine

	Define port 2
		Module Interface : Node10_Interface_PORT_2
			Set Node10_Interface_PORT_2.ip = 1.0.2.1
			Set Node10_Interface_PORT_2.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_2
			Set Node10_ARP_PORT_2.arpMode = RunARP
			Set Node10_ARP_PORT_2.flushInterval = 3000
			Set Node10_ARP_PORT_2.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_2
			Set Node10_FIFO_PORT_2.max_qlen = 50
			Set Node10_FIFO_PORT_2.log_qlen = off
			Set Node10_FIFO_PORT_2.log_option = FullLog
			Set Node10_FIFO_PORT_2.samplerate = 1
			Set Node10_FIFO_PORT_2.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P2_qlen.log
			Set Node10_FIFO_PORT_2.log_drop = off
			Set Node10_FIFO_PORT_2.drop_samplerate = 1
			Set Node10_FIFO_PORT_2.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P2_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_2

		Module MAC8023 : Node10_MAC8023_PORT_2
			Set Node10_MAC8023_PORT_2.mac = 0:1:0:0:0:d
			Set Node10_MAC8023_PORT_2.lock_mac = off
			Set Node10_MAC8023_PORT_2.PromisOpt = off
			Set Node10_MAC8023_PORT_2.mode = full
			Set Node10_MAC8023_PORT_2.log = off
			Set Node10_MAC8023_PORT_2.logInterval = 1
			Set Node10_MAC8023_PORT_2.NumCollision = off
			Set Node10_MAC8023_PORT_2.NumUniInPkt = off
			Set Node10_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_2.NumBroInPkt = off
			Set Node10_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_2.NumDrop = off
			Set Node10_MAC8023_PORT_2.InThrput = off
			Set Node10_MAC8023_PORT_2.OutThrput = off
			Set Node10_MAC8023_PORT_2.InOutThrput = off
			Set Node10_MAC8023_PORT_2.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_UniIn.log
			Set Node10_MAC8023_PORT_2.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_UniOut.log
			Set Node10_MAC8023_PORT_2.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_UniInOut.log
			Set Node10_MAC8023_PORT_2.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_BroIn.log
			Set Node10_MAC8023_PORT_2.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_BroOut.log
			Set Node10_MAC8023_PORT_2.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_BroInOut.log
			Set Node10_MAC8023_PORT_2.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_Coll.log
			Set Node10_MAC8023_PORT_2.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_Drop.log
			Set Node10_MAC8023_PORT_2.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_InThrput.log
			Set Node10_MAC8023_PORT_2.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_OutThrput.log
			Set Node10_MAC8023_PORT_2.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P2_InOutThrput.log
			Set Node10_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_2
			Set Node10_Phy_PORT_2.Bw = 10.00
			Set Node10_Phy_PORT_2.BER = 0.000000000
			Set Node10_Phy_PORT_2.PropDelay = 5000.00
			Set Node10_Phy_PORT_2.linkfail = off
			Set Node10_Phy_PORT_2.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P2.linkfail

		Module Link : Node10_PORT_2
			Set Node10_PORT_2.guitag_remotenode = yes


		Bind Node10_Interface_PORT_2 Node10_ARP_PORT_2
		Bind Node10_ARP_PORT_2 Node10_FIFO_PORT_2
		Bind Node10_FIFO_PORT_2 Node10_TCPDUMP_PORT_2
		Bind Node10_TCPDUMP_PORT_2 Node10_MAC8023_PORT_2
		Bind Node10_MAC8023_PORT_2 Node10_Phy_PORT_2
		Bind Node10_Phy_PORT_2 Node10_PORT_2
	EndDefine

	Define port 3
		Module Interface : Node10_Interface_PORT_3
			Set Node10_Interface_PORT_3.ip = 1.0.3.1
			Set Node10_Interface_PORT_3.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_3
			Set Node10_ARP_PORT_3.arpMode = RunARP
			Set Node10_ARP_PORT_3.flushInterval = 3000
			Set Node10_ARP_PORT_3.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_3
			Set Node10_FIFO_PORT_3.max_qlen = 50
			Set Node10_FIFO_PORT_3.log_qlen = off
			Set Node10_FIFO_PORT_3.log_option = FullLog
			Set Node10_FIFO_PORT_3.samplerate = 1
			Set Node10_FIFO_PORT_3.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P3_qlen.log
			Set Node10_FIFO_PORT_3.log_drop = off
			Set Node10_FIFO_PORT_3.drop_samplerate = 1
			Set Node10_FIFO_PORT_3.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P3_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_3

		Module MAC8023 : Node10_MAC8023_PORT_3
			Set Node10_MAC8023_PORT_3.mac = 0:1:0:0:0:e
			Set Node10_MAC8023_PORT_3.lock_mac = off
			Set Node10_MAC8023_PORT_3.PromisOpt = off
			Set Node10_MAC8023_PORT_3.mode = full
			Set Node10_MAC8023_PORT_3.log = off
			Set Node10_MAC8023_PORT_3.logInterval = 1
			Set Node10_MAC8023_PORT_3.NumCollision = off
			Set Node10_MAC8023_PORT_3.NumUniInPkt = off
			Set Node10_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_3.NumBroInPkt = off
			Set Node10_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_3.NumDrop = off
			Set Node10_MAC8023_PORT_3.InThrput = off
			Set Node10_MAC8023_PORT_3.OutThrput = off
			Set Node10_MAC8023_PORT_3.InOutThrput = off
			Set Node10_MAC8023_PORT_3.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_UniIn.log
			Set Node10_MAC8023_PORT_3.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_UniOut.log
			Set Node10_MAC8023_PORT_3.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_UniInOut.log
			Set Node10_MAC8023_PORT_3.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_BroIn.log
			Set Node10_MAC8023_PORT_3.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_BroOut.log
			Set Node10_MAC8023_PORT_3.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_BroInOut.log
			Set Node10_MAC8023_PORT_3.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_Coll.log
			Set Node10_MAC8023_PORT_3.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_Drop.log
			Set Node10_MAC8023_PORT_3.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_InThrput.log
			Set Node10_MAC8023_PORT_3.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_OutThrput.log
			Set Node10_MAC8023_PORT_3.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P3_InOutThrput.log
			Set Node10_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_3
			Set Node10_Phy_PORT_3.Bw = 10.00
			Set Node10_Phy_PORT_3.BER = 0.000000000
			Set Node10_Phy_PORT_3.PropDelay = 5000.00
			Set Node10_Phy_PORT_3.linkfail = off
			Set Node10_Phy_PORT_3.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P3.linkfail

		Module Link : Node10_PORT_3
			Set Node10_PORT_3.guitag_remotenode = yes


		Bind Node10_Interface_PORT_3 Node10_ARP_PORT_3
		Bind Node10_ARP_PORT_3 Node10_FIFO_PORT_3
		Bind Node10_FIFO_PORT_3 Node10_TCPDUMP_PORT_3
		Bind Node10_TCPDUMP_PORT_3 Node10_MAC8023_PORT_3
		Bind Node10_MAC8023_PORT_3 Node10_Phy_PORT_3
		Bind Node10_Phy_PORT_3 Node10_PORT_3
	EndDefine

	Define port 4
		Module Interface : Node10_Interface_PORT_4
			Set Node10_Interface_PORT_4.ip = 1.0.4.1
			Set Node10_Interface_PORT_4.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_4
			Set Node10_ARP_PORT_4.arpMode = RunARP
			Set Node10_ARP_PORT_4.flushInterval = 3000
			Set Node10_ARP_PORT_4.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_4
			Set Node10_FIFO_PORT_4.max_qlen = 50
			Set Node10_FIFO_PORT_4.log_qlen = off
			Set Node10_FIFO_PORT_4.log_option = FullLog
			Set Node10_FIFO_PORT_4.samplerate = 1
			Set Node10_FIFO_PORT_4.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P4_qlen.log
			Set Node10_FIFO_PORT_4.log_drop = off
			Set Node10_FIFO_PORT_4.drop_samplerate = 1
			Set Node10_FIFO_PORT_4.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P4_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_4

		Module MAC8023 : Node10_MAC8023_PORT_4
			Set Node10_MAC8023_PORT_4.mac = 0:1:0:0:0:f
			Set Node10_MAC8023_PORT_4.lock_mac = off
			Set Node10_MAC8023_PORT_4.PromisOpt = off
			Set Node10_MAC8023_PORT_4.mode = full
			Set Node10_MAC8023_PORT_4.log = off
			Set Node10_MAC8023_PORT_4.logInterval = 1
			Set Node10_MAC8023_PORT_4.NumCollision = off
			Set Node10_MAC8023_PORT_4.NumUniInPkt = off
			Set Node10_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_4.NumBroInPkt = off
			Set Node10_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_4.NumDrop = off
			Set Node10_MAC8023_PORT_4.InThrput = off
			Set Node10_MAC8023_PORT_4.OutThrput = off
			Set Node10_MAC8023_PORT_4.InOutThrput = off
			Set Node10_MAC8023_PORT_4.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_UniIn.log
			Set Node10_MAC8023_PORT_4.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_UniOut.log
			Set Node10_MAC8023_PORT_4.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_UniInOut.log
			Set Node10_MAC8023_PORT_4.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_BroIn.log
			Set Node10_MAC8023_PORT_4.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_BroOut.log
			Set Node10_MAC8023_PORT_4.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_BroInOut.log
			Set Node10_MAC8023_PORT_4.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_Coll.log
			Set Node10_MAC8023_PORT_4.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_Drop.log
			Set Node10_MAC8023_PORT_4.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_InThrput.log
			Set Node10_MAC8023_PORT_4.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_OutThrput.log
			Set Node10_MAC8023_PORT_4.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P4_InOutThrput.log
			Set Node10_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_4
			Set Node10_Phy_PORT_4.Bw = 10.00
			Set Node10_Phy_PORT_4.BER = 0.000000000
			Set Node10_Phy_PORT_4.PropDelay = 5000.00
			Set Node10_Phy_PORT_4.linkfail = off
			Set Node10_Phy_PORT_4.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P4.linkfail

		Module Link : Node10_PORT_4
			Set Node10_PORT_4.guitag_remotenode = yes


		Bind Node10_Interface_PORT_4 Node10_ARP_PORT_4
		Bind Node10_ARP_PORT_4 Node10_FIFO_PORT_4
		Bind Node10_FIFO_PORT_4 Node10_TCPDUMP_PORT_4
		Bind Node10_TCPDUMP_PORT_4 Node10_MAC8023_PORT_4
		Bind Node10_MAC8023_PORT_4 Node10_Phy_PORT_4
		Bind Node10_Phy_PORT_4 Node10_PORT_4
	EndDefine

	Define port 5
		Module Interface : Node10_Interface_PORT_5
			Set Node10_Interface_PORT_5.ip = 1.0.5.1
			Set Node10_Interface_PORT_5.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_5
			Set Node10_ARP_PORT_5.arpMode = RunARP
			Set Node10_ARP_PORT_5.flushInterval = 3000
			Set Node10_ARP_PORT_5.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_5
			Set Node10_FIFO_PORT_5.max_qlen = 50
			Set Node10_FIFO_PORT_5.log_qlen = off
			Set Node10_FIFO_PORT_5.log_option = FullLog
			Set Node10_FIFO_PORT_5.samplerate = 1
			Set Node10_FIFO_PORT_5.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P5_qlen.log
			Set Node10_FIFO_PORT_5.log_drop = off
			Set Node10_FIFO_PORT_5.drop_samplerate = 1
			Set Node10_FIFO_PORT_5.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P5_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_5

		Module MAC8023 : Node10_MAC8023_PORT_5
			Set Node10_MAC8023_PORT_5.mac = 0:1:0:0:0:10
			Set Node10_MAC8023_PORT_5.lock_mac = off
			Set Node10_MAC8023_PORT_5.PromisOpt = off
			Set Node10_MAC8023_PORT_5.mode = full
			Set Node10_MAC8023_PORT_5.log = off
			Set Node10_MAC8023_PORT_5.logInterval = 1
			Set Node10_MAC8023_PORT_5.NumCollision = off
			Set Node10_MAC8023_PORT_5.NumUniInPkt = off
			Set Node10_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_5.NumBroInPkt = off
			Set Node10_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_5.NumDrop = off
			Set Node10_MAC8023_PORT_5.InThrput = off
			Set Node10_MAC8023_PORT_5.OutThrput = off
			Set Node10_MAC8023_PORT_5.InOutThrput = off
			Set Node10_MAC8023_PORT_5.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_UniIn.log
			Set Node10_MAC8023_PORT_5.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_UniOut.log
			Set Node10_MAC8023_PORT_5.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_UniInOut.log
			Set Node10_MAC8023_PORT_5.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_BroIn.log
			Set Node10_MAC8023_PORT_5.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_BroOut.log
			Set Node10_MAC8023_PORT_5.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_BroInOut.log
			Set Node10_MAC8023_PORT_5.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_Coll.log
			Set Node10_MAC8023_PORT_5.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_Drop.log
			Set Node10_MAC8023_PORT_5.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_InThrput.log
			Set Node10_MAC8023_PORT_5.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_OutThrput.log
			Set Node10_MAC8023_PORT_5.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P5_InOutThrput.log
			Set Node10_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_5
			Set Node10_Phy_PORT_5.Bw = 10.00
			Set Node10_Phy_PORT_5.BER = 0.000000000
			Set Node10_Phy_PORT_5.PropDelay = 5000.00
			Set Node10_Phy_PORT_5.linkfail = off
			Set Node10_Phy_PORT_5.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P5.linkfail

		Module Link : Node10_PORT_5
			Set Node10_PORT_5.guitag_remotenode = yes


		Bind Node10_Interface_PORT_5 Node10_ARP_PORT_5
		Bind Node10_ARP_PORT_5 Node10_FIFO_PORT_5
		Bind Node10_FIFO_PORT_5 Node10_TCPDUMP_PORT_5
		Bind Node10_TCPDUMP_PORT_5 Node10_MAC8023_PORT_5
		Bind Node10_MAC8023_PORT_5 Node10_Phy_PORT_5
		Bind Node10_Phy_PORT_5 Node10_PORT_5
	EndDefine

	Define port 6
		Module Interface : Node10_Interface_PORT_6
			Set Node10_Interface_PORT_6.ip = 1.0.6.1
			Set Node10_Interface_PORT_6.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_6
			Set Node10_ARP_PORT_6.arpMode = RunARP
			Set Node10_ARP_PORT_6.flushInterval = 3000
			Set Node10_ARP_PORT_6.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_6
			Set Node10_FIFO_PORT_6.max_qlen = 50
			Set Node10_FIFO_PORT_6.log_qlen = off
			Set Node10_FIFO_PORT_6.log_option = FullLog
			Set Node10_FIFO_PORT_6.samplerate = 1
			Set Node10_FIFO_PORT_6.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P6_qlen.log
			Set Node10_FIFO_PORT_6.log_drop = off
			Set Node10_FIFO_PORT_6.drop_samplerate = 1
			Set Node10_FIFO_PORT_6.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P6_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_6

		Module MAC8023 : Node10_MAC8023_PORT_6
			Set Node10_MAC8023_PORT_6.mac = 0:1:0:0:0:11
			Set Node10_MAC8023_PORT_6.lock_mac = off
			Set Node10_MAC8023_PORT_6.PromisOpt = off
			Set Node10_MAC8023_PORT_6.mode = full
			Set Node10_MAC8023_PORT_6.log = off
			Set Node10_MAC8023_PORT_6.logInterval = 1
			Set Node10_MAC8023_PORT_6.NumCollision = off
			Set Node10_MAC8023_PORT_6.NumUniInPkt = off
			Set Node10_MAC8023_PORT_6.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_6.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_6.NumBroInPkt = off
			Set Node10_MAC8023_PORT_6.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_6.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_6.NumDrop = off
			Set Node10_MAC8023_PORT_6.InThrput = off
			Set Node10_MAC8023_PORT_6.OutThrput = off
			Set Node10_MAC8023_PORT_6.InOutThrput = off
			Set Node10_MAC8023_PORT_6.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_UniIn.log
			Set Node10_MAC8023_PORT_6.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_UniOut.log
			Set Node10_MAC8023_PORT_6.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_UniInOut.log
			Set Node10_MAC8023_PORT_6.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_BroIn.log
			Set Node10_MAC8023_PORT_6.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_BroOut.log
			Set Node10_MAC8023_PORT_6.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_BroInOut.log
			Set Node10_MAC8023_PORT_6.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_Coll.log
			Set Node10_MAC8023_PORT_6.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_Drop.log
			Set Node10_MAC8023_PORT_6.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_InThrput.log
			Set Node10_MAC8023_PORT_6.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_OutThrput.log
			Set Node10_MAC8023_PORT_6.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P6_InOutThrput.log
			Set Node10_MAC8023_PORT_6.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_6
			Set Node10_Phy_PORT_6.Bw = 10.00
			Set Node10_Phy_PORT_6.BER = 0.000000000
			Set Node10_Phy_PORT_6.PropDelay = 5000.00
			Set Node10_Phy_PORT_6.linkfail = off
			Set Node10_Phy_PORT_6.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P6.linkfail

		Module Link : Node10_PORT_6
			Set Node10_PORT_6.guitag_remotenode = yes


		Bind Node10_Interface_PORT_6 Node10_ARP_PORT_6
		Bind Node10_ARP_PORT_6 Node10_FIFO_PORT_6
		Bind Node10_FIFO_PORT_6 Node10_TCPDUMP_PORT_6
		Bind Node10_TCPDUMP_PORT_6 Node10_MAC8023_PORT_6
		Bind Node10_MAC8023_PORT_6 Node10_Phy_PORT_6
		Bind Node10_Phy_PORT_6 Node10_PORT_6
	EndDefine

	Define port 7
		Module Interface : Node10_Interface_PORT_7
			Set Node10_Interface_PORT_7.ip = 1.0.7.1
			Set Node10_Interface_PORT_7.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_7
			Set Node10_ARP_PORT_7.arpMode = RunARP
			Set Node10_ARP_PORT_7.flushInterval = 3000
			Set Node10_ARP_PORT_7.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_7
			Set Node10_FIFO_PORT_7.max_qlen = 50
			Set Node10_FIFO_PORT_7.log_qlen = off
			Set Node10_FIFO_PORT_7.log_option = FullLog
			Set Node10_FIFO_PORT_7.samplerate = 1
			Set Node10_FIFO_PORT_7.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P7_qlen.log
			Set Node10_FIFO_PORT_7.log_drop = off
			Set Node10_FIFO_PORT_7.drop_samplerate = 1
			Set Node10_FIFO_PORT_7.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P7_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_7

		Module MAC8023 : Node10_MAC8023_PORT_7
			Set Node10_MAC8023_PORT_7.mac = 0:1:0:0:0:12
			Set Node10_MAC8023_PORT_7.lock_mac = off
			Set Node10_MAC8023_PORT_7.PromisOpt = off
			Set Node10_MAC8023_PORT_7.mode = full
			Set Node10_MAC8023_PORT_7.log = off
			Set Node10_MAC8023_PORT_7.logInterval = 1
			Set Node10_MAC8023_PORT_7.NumCollision = off
			Set Node10_MAC8023_PORT_7.NumUniInPkt = off
			Set Node10_MAC8023_PORT_7.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_7.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_7.NumBroInPkt = off
			Set Node10_MAC8023_PORT_7.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_7.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_7.NumDrop = off
			Set Node10_MAC8023_PORT_7.InThrput = off
			Set Node10_MAC8023_PORT_7.OutThrput = off
			Set Node10_MAC8023_PORT_7.InOutThrput = off
			Set Node10_MAC8023_PORT_7.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_UniIn.log
			Set Node10_MAC8023_PORT_7.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_UniOut.log
			Set Node10_MAC8023_PORT_7.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_UniInOut.log
			Set Node10_MAC8023_PORT_7.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_BroIn.log
			Set Node10_MAC8023_PORT_7.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_BroOut.log
			Set Node10_MAC8023_PORT_7.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_BroInOut.log
			Set Node10_MAC8023_PORT_7.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_Coll.log
			Set Node10_MAC8023_PORT_7.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_Drop.log
			Set Node10_MAC8023_PORT_7.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_InThrput.log
			Set Node10_MAC8023_PORT_7.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_OutThrput.log
			Set Node10_MAC8023_PORT_7.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P7_InOutThrput.log
			Set Node10_MAC8023_PORT_7.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_7
			Set Node10_Phy_PORT_7.Bw = 10.00
			Set Node10_Phy_PORT_7.BER = 0.000000000
			Set Node10_Phy_PORT_7.PropDelay = 5000.00
			Set Node10_Phy_PORT_7.linkfail = off
			Set Node10_Phy_PORT_7.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P7.linkfail

		Module Link : Node10_PORT_7
			Set Node10_PORT_7.guitag_remotenode = yes


		Bind Node10_Interface_PORT_7 Node10_ARP_PORT_7
		Bind Node10_ARP_PORT_7 Node10_FIFO_PORT_7
		Bind Node10_FIFO_PORT_7 Node10_TCPDUMP_PORT_7
		Bind Node10_TCPDUMP_PORT_7 Node10_MAC8023_PORT_7
		Bind Node10_MAC8023_PORT_7 Node10_Phy_PORT_7
		Bind Node10_Phy_PORT_7 Node10_PORT_7
	EndDefine

	Define port 8
		Module Interface : Node10_Interface_PORT_8
			Set Node10_Interface_PORT_8.ip = 1.0.8.1
			Set Node10_Interface_PORT_8.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_8
			Set Node10_ARP_PORT_8.arpMode = RunARP
			Set Node10_ARP_PORT_8.flushInterval = 3000
			Set Node10_ARP_PORT_8.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_8
			Set Node10_FIFO_PORT_8.max_qlen = 50
			Set Node10_FIFO_PORT_8.log_qlen = off
			Set Node10_FIFO_PORT_8.log_option = FullLog
			Set Node10_FIFO_PORT_8.samplerate = 1
			Set Node10_FIFO_PORT_8.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P8_qlen.log
			Set Node10_FIFO_PORT_8.log_drop = off
			Set Node10_FIFO_PORT_8.drop_samplerate = 1
			Set Node10_FIFO_PORT_8.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P8_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_8

		Module MAC8023 : Node10_MAC8023_PORT_8
			Set Node10_MAC8023_PORT_8.mac = 0:1:0:0:0:13
			Set Node10_MAC8023_PORT_8.lock_mac = off
			Set Node10_MAC8023_PORT_8.PromisOpt = off
			Set Node10_MAC8023_PORT_8.mode = full
			Set Node10_MAC8023_PORT_8.log = off
			Set Node10_MAC8023_PORT_8.logInterval = 1
			Set Node10_MAC8023_PORT_8.NumCollision = off
			Set Node10_MAC8023_PORT_8.NumUniInPkt = off
			Set Node10_MAC8023_PORT_8.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_8.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_8.NumBroInPkt = off
			Set Node10_MAC8023_PORT_8.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_8.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_8.NumDrop = off
			Set Node10_MAC8023_PORT_8.InThrput = off
			Set Node10_MAC8023_PORT_8.OutThrput = off
			Set Node10_MAC8023_PORT_8.InOutThrput = off
			Set Node10_MAC8023_PORT_8.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_UniIn.log
			Set Node10_MAC8023_PORT_8.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_UniOut.log
			Set Node10_MAC8023_PORT_8.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_UniInOut.log
			Set Node10_MAC8023_PORT_8.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_BroIn.log
			Set Node10_MAC8023_PORT_8.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_BroOut.log
			Set Node10_MAC8023_PORT_8.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_BroInOut.log
			Set Node10_MAC8023_PORT_8.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_Coll.log
			Set Node10_MAC8023_PORT_8.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_Drop.log
			Set Node10_MAC8023_PORT_8.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_InThrput.log
			Set Node10_MAC8023_PORT_8.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_OutThrput.log
			Set Node10_MAC8023_PORT_8.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P8_InOutThrput.log
			Set Node10_MAC8023_PORT_8.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_8
			Set Node10_Phy_PORT_8.Bw = 10.00
			Set Node10_Phy_PORT_8.BER = 0.000000000
			Set Node10_Phy_PORT_8.PropDelay = 5000.00
			Set Node10_Phy_PORT_8.linkfail = off
			Set Node10_Phy_PORT_8.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P8.linkfail

		Module Link : Node10_PORT_8
			Set Node10_PORT_8.guitag_remotenode = yes


		Bind Node10_Interface_PORT_8 Node10_ARP_PORT_8
		Bind Node10_ARP_PORT_8 Node10_FIFO_PORT_8
		Bind Node10_FIFO_PORT_8 Node10_TCPDUMP_PORT_8
		Bind Node10_TCPDUMP_PORT_8 Node10_MAC8023_PORT_8
		Bind Node10_MAC8023_PORT_8 Node10_Phy_PORT_8
		Bind Node10_Phy_PORT_8 Node10_PORT_8
	EndDefine

	Define port 9
		Module Interface : Node10_Interface_PORT_9
			Set Node10_Interface_PORT_9.ip = 1.0.9.1
			Set Node10_Interface_PORT_9.netmask = 255.255.255.0

		Module ARP : Node10_ARP_PORT_9
			Set Node10_ARP_PORT_9.arpMode = RunARP
			Set Node10_ARP_PORT_9.flushInterval = 3000
			Set Node10_ARP_PORT_9.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node10_FIFO_PORT_9
			Set Node10_FIFO_PORT_9.max_qlen = 50
			Set Node10_FIFO_PORT_9.log_qlen = off
			Set Node10_FIFO_PORT_9.log_option = FullLog
			Set Node10_FIFO_PORT_9.samplerate = 1
			Set Node10_FIFO_PORT_9.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P9_qlen.log
			Set Node10_FIFO_PORT_9.log_drop = off
			Set Node10_FIFO_PORT_9.drop_samplerate = 1
			Set Node10_FIFO_PORT_9.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N10_P9_drop.log

		Module TCPDUMP : Node10_TCPDUMP_PORT_9

		Module MAC8023 : Node10_MAC8023_PORT_9
			Set Node10_MAC8023_PORT_9.mac = 0:1:0:0:0:14
			Set Node10_MAC8023_PORT_9.lock_mac = off
			Set Node10_MAC8023_PORT_9.PromisOpt = off
			Set Node10_MAC8023_PORT_9.mode = full
			Set Node10_MAC8023_PORT_9.log = off
			Set Node10_MAC8023_PORT_9.logInterval = 1
			Set Node10_MAC8023_PORT_9.NumCollision = off
			Set Node10_MAC8023_PORT_9.NumUniInPkt = off
			Set Node10_MAC8023_PORT_9.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_9.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_9.NumBroInPkt = off
			Set Node10_MAC8023_PORT_9.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_9.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_9.NumDrop = off
			Set Node10_MAC8023_PORT_9.InThrput = off
			Set Node10_MAC8023_PORT_9.OutThrput = off
			Set Node10_MAC8023_PORT_9.InOutThrput = off
			Set Node10_MAC8023_PORT_9.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_UniIn.log
			Set Node10_MAC8023_PORT_9.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_UniOut.log
			Set Node10_MAC8023_PORT_9.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_UniInOut.log
			Set Node10_MAC8023_PORT_9.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_BroIn.log
			Set Node10_MAC8023_PORT_9.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_BroOut.log
			Set Node10_MAC8023_PORT_9.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_BroInOut.log
			Set Node10_MAC8023_PORT_9.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_Coll.log
			Set Node10_MAC8023_PORT_9.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_Drop.log
			Set Node10_MAC8023_PORT_9.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_InThrput.log
			Set Node10_MAC8023_PORT_9.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_OutThrput.log
			Set Node10_MAC8023_PORT_9.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N10_P9_InOutThrput.log
			Set Node10_MAC8023_PORT_9.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_9
			Set Node10_Phy_PORT_9.Bw = 1000.00
			Set Node10_Phy_PORT_9.BER = 0.000000000
			Set Node10_Phy_PORT_9.PropDelay = 500.00
			Set Node10_Phy_PORT_9.linkfail = off
			Set Node10_Phy_PORT_9.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N10_P9.linkfail

		Module Link : Node10_PORT_9
			Set Node10_PORT_9.guitag_remotenode = yes


		Bind Node10_Interface_PORT_9 Node10_ARP_PORT_9
		Bind Node10_ARP_PORT_9 Node10_FIFO_PORT_9
		Bind Node10_FIFO_PORT_9 Node10_TCPDUMP_PORT_9
		Bind Node10_TCPDUMP_PORT_9 Node10_MAC8023_PORT_9
		Bind Node10_MAC8023_PORT_9 Node10_Phy_PORT_9
		Bind Node10_Phy_PORT_9 Node10_PORT_9
	EndDefine

EndCreate

Create Node 11 as HOST with name = HOST11
	Define port 1
		Module Interface : Node11_Interface_PORT_1
			Set Node11_Interface_PORT_1.ip = 1.0.1.2
			Set Node11_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node11_ARP_PORT_1
			Set Node11_ARP_PORT_1.arpMode = RunARP
			Set Node11_ARP_PORT_1.flushInterval = 3000
			Set Node11_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node11_FIFO_PORT_1
			Set Node11_FIFO_PORT_1.max_qlen = 50
			Set Node11_FIFO_PORT_1.log_qlen = off
			Set Node11_FIFO_PORT_1.log_option = FullLog
			Set Node11_FIFO_PORT_1.samplerate = 1
			Set Node11_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N11_P1_qlen.log
			Set Node11_FIFO_PORT_1.log_drop = off
			Set Node11_FIFO_PORT_1.drop_samplerate = 1
			Set Node11_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N11_P1_drop.log

		Module TCPDUMP : Node11_TCPDUMP_PORT_1

		Module LO : Node11_LO_PORT_1

		Module MAC8023 : Node11_MAC8023_PORT_1
			Set Node11_MAC8023_PORT_1.mac = 0:1:0:0:0:15
			Set Node11_MAC8023_PORT_1.lock_mac = off
			Set Node11_MAC8023_PORT_1.PromisOpt = off
			Set Node11_MAC8023_PORT_1.mode = full
			Set Node11_MAC8023_PORT_1.log = off
			Set Node11_MAC8023_PORT_1.logInterval = 1
			Set Node11_MAC8023_PORT_1.NumCollision = off
			Set Node11_MAC8023_PORT_1.NumUniInPkt = off
			Set Node11_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_1.NumBroInPkt = off
			Set Node11_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_1.NumDrop = off
			Set Node11_MAC8023_PORT_1.InThrput = off
			Set Node11_MAC8023_PORT_1.OutThrput = off
			Set Node11_MAC8023_PORT_1.InOutThrput = off
			Set Node11_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_UniIn.log
			Set Node11_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_UniOut.log
			Set Node11_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_UniInOut.log
			Set Node11_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_BroIn.log
			Set Node11_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_BroOut.log
			Set Node11_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_BroInOut.log
			Set Node11_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_Coll.log
			Set Node11_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_Drop.log
			Set Node11_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_InThrput.log
			Set Node11_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_OutThrput.log
			Set Node11_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N11_P1_InOutThrput.log
			Set Node11_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_1
			Set Node11_Phy_PORT_1.Bw = 10.00
			Set Node11_Phy_PORT_1.BER = 0.000000000
			Set Node11_Phy_PORT_1.PropDelay = 5000.00
			Set Node11_Phy_PORT_1.linkfail = off
			Set Node11_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N11_P1.linkfail

		Module Link : Node11_PORT_1
			Set Node11_PORT_1.guitag_remotenode = yes


		Bind Node11_Interface_PORT_1 Node11_ARP_PORT_1
		Bind Node11_ARP_PORT_1 Node11_FIFO_PORT_1
		Bind Node11_FIFO_PORT_1 Node11_TCPDUMP_PORT_1
		Bind Node11_TCPDUMP_PORT_1 Node11_LO_PORT_1
		Bind Node11_LO_PORT_1 Node11_MAC8023_PORT_1
		Bind Node11_MAC8023_PORT_1 Node11_Phy_PORT_1
		Bind Node11_Phy_PORT_1 Node11_PORT_1
	EndDefine

EndCreate

Create Node 12 as HOST with name = HOST12
	Define port 1
		Module Interface : Node12_Interface_PORT_1
			Set Node12_Interface_PORT_1.ip = 1.0.2.2
			Set Node12_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node12_ARP_PORT_1
			Set Node12_ARP_PORT_1.arpMode = RunARP
			Set Node12_ARP_PORT_1.flushInterval = 3000
			Set Node12_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node12_FIFO_PORT_1
			Set Node12_FIFO_PORT_1.max_qlen = 50
			Set Node12_FIFO_PORT_1.log_qlen = off
			Set Node12_FIFO_PORT_1.log_option = FullLog
			Set Node12_FIFO_PORT_1.samplerate = 1
			Set Node12_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N12_P1_qlen.log
			Set Node12_FIFO_PORT_1.log_drop = off
			Set Node12_FIFO_PORT_1.drop_samplerate = 1
			Set Node12_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N12_P1_drop.log

		Module TCPDUMP : Node12_TCPDUMP_PORT_1

		Module LO : Node12_LO_PORT_1

		Module MAC8023 : Node12_MAC8023_PORT_1
			Set Node12_MAC8023_PORT_1.mac = 0:1:0:0:0:16
			Set Node12_MAC8023_PORT_1.lock_mac = off
			Set Node12_MAC8023_PORT_1.PromisOpt = off
			Set Node12_MAC8023_PORT_1.mode = full
			Set Node12_MAC8023_PORT_1.log = off
			Set Node12_MAC8023_PORT_1.logInterval = 1
			Set Node12_MAC8023_PORT_1.NumCollision = off
			Set Node12_MAC8023_PORT_1.NumUniInPkt = off
			Set Node12_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node12_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node12_MAC8023_PORT_1.NumBroInPkt = off
			Set Node12_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node12_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node12_MAC8023_PORT_1.NumDrop = off
			Set Node12_MAC8023_PORT_1.InThrput = off
			Set Node12_MAC8023_PORT_1.OutThrput = off
			Set Node12_MAC8023_PORT_1.InOutThrput = off
			Set Node12_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_UniIn.log
			Set Node12_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_UniOut.log
			Set Node12_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_UniInOut.log
			Set Node12_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_BroIn.log
			Set Node12_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_BroOut.log
			Set Node12_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_BroInOut.log
			Set Node12_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_Coll.log
			Set Node12_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_Drop.log
			Set Node12_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_InThrput.log
			Set Node12_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_OutThrput.log
			Set Node12_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N12_P1_InOutThrput.log
			Set Node12_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node12_Phy_PORT_1
			Set Node12_Phy_PORT_1.Bw = 10.00
			Set Node12_Phy_PORT_1.BER = 0.000000000
			Set Node12_Phy_PORT_1.PropDelay = 5000.00
			Set Node12_Phy_PORT_1.linkfail = off
			Set Node12_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N12_P1.linkfail

		Module Link : Node12_PORT_1
			Set Node12_PORT_1.guitag_remotenode = yes


		Bind Node12_Interface_PORT_1 Node12_ARP_PORT_1
		Bind Node12_ARP_PORT_1 Node12_FIFO_PORT_1
		Bind Node12_FIFO_PORT_1 Node12_TCPDUMP_PORT_1
		Bind Node12_TCPDUMP_PORT_1 Node12_LO_PORT_1
		Bind Node12_LO_PORT_1 Node12_MAC8023_PORT_1
		Bind Node12_MAC8023_PORT_1 Node12_Phy_PORT_1
		Bind Node12_Phy_PORT_1 Node12_PORT_1
	EndDefine

EndCreate

Create Node 13 as HOST with name = HOST13
	Define port 1
		Module Interface : Node13_Interface_PORT_1
			Set Node13_Interface_PORT_1.ip = 1.0.3.2
			Set Node13_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node13_ARP_PORT_1
			Set Node13_ARP_PORT_1.arpMode = RunARP
			Set Node13_ARP_PORT_1.flushInterval = 3000
			Set Node13_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node13_FIFO_PORT_1
			Set Node13_FIFO_PORT_1.max_qlen = 50
			Set Node13_FIFO_PORT_1.log_qlen = off
			Set Node13_FIFO_PORT_1.log_option = FullLog
			Set Node13_FIFO_PORT_1.samplerate = 1
			Set Node13_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N13_P1_qlen.log
			Set Node13_FIFO_PORT_1.log_drop = off
			Set Node13_FIFO_PORT_1.drop_samplerate = 1
			Set Node13_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N13_P1_drop.log

		Module TCPDUMP : Node13_TCPDUMP_PORT_1

		Module LO : Node13_LO_PORT_1

		Module MAC8023 : Node13_MAC8023_PORT_1
			Set Node13_MAC8023_PORT_1.mac = 0:1:0:0:0:17
			Set Node13_MAC8023_PORT_1.lock_mac = off
			Set Node13_MAC8023_PORT_1.PromisOpt = off
			Set Node13_MAC8023_PORT_1.mode = full
			Set Node13_MAC8023_PORT_1.log = off
			Set Node13_MAC8023_PORT_1.logInterval = 1
			Set Node13_MAC8023_PORT_1.NumCollision = off
			Set Node13_MAC8023_PORT_1.NumUniInPkt = off
			Set Node13_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node13_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node13_MAC8023_PORT_1.NumBroInPkt = off
			Set Node13_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node13_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node13_MAC8023_PORT_1.NumDrop = off
			Set Node13_MAC8023_PORT_1.InThrput = off
			Set Node13_MAC8023_PORT_1.OutThrput = off
			Set Node13_MAC8023_PORT_1.InOutThrput = off
			Set Node13_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_UniIn.log
			Set Node13_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_UniOut.log
			Set Node13_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_UniInOut.log
			Set Node13_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_BroIn.log
			Set Node13_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_BroOut.log
			Set Node13_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_BroInOut.log
			Set Node13_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_Coll.log
			Set Node13_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_Drop.log
			Set Node13_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_InThrput.log
			Set Node13_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_OutThrput.log
			Set Node13_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N13_P1_InOutThrput.log
			Set Node13_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node13_Phy_PORT_1
			Set Node13_Phy_PORT_1.Bw = 10.00
			Set Node13_Phy_PORT_1.BER = 0.000000000
			Set Node13_Phy_PORT_1.PropDelay = 5000.00
			Set Node13_Phy_PORT_1.linkfail = off
			Set Node13_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N13_P1.linkfail

		Module Link : Node13_PORT_1
			Set Node13_PORT_1.guitag_remotenode = yes


		Bind Node13_Interface_PORT_1 Node13_ARP_PORT_1
		Bind Node13_ARP_PORT_1 Node13_FIFO_PORT_1
		Bind Node13_FIFO_PORT_1 Node13_TCPDUMP_PORT_1
		Bind Node13_TCPDUMP_PORT_1 Node13_LO_PORT_1
		Bind Node13_LO_PORT_1 Node13_MAC8023_PORT_1
		Bind Node13_MAC8023_PORT_1 Node13_Phy_PORT_1
		Bind Node13_Phy_PORT_1 Node13_PORT_1
	EndDefine

EndCreate

Create Node 14 as HOST with name = HOST14
	Define port 1
		Module Interface : Node14_Interface_PORT_1
			Set Node14_Interface_PORT_1.ip = 1.0.4.2
			Set Node14_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node14_ARP_PORT_1
			Set Node14_ARP_PORT_1.arpMode = RunARP
			Set Node14_ARP_PORT_1.flushInterval = 3000
			Set Node14_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node14_FIFO_PORT_1
			Set Node14_FIFO_PORT_1.max_qlen = 50
			Set Node14_FIFO_PORT_1.log_qlen = off
			Set Node14_FIFO_PORT_1.log_option = FullLog
			Set Node14_FIFO_PORT_1.samplerate = 1
			Set Node14_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N14_P1_qlen.log
			Set Node14_FIFO_PORT_1.log_drop = off
			Set Node14_FIFO_PORT_1.drop_samplerate = 1
			Set Node14_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N14_P1_drop.log

		Module TCPDUMP : Node14_TCPDUMP_PORT_1

		Module LO : Node14_LO_PORT_1

		Module MAC8023 : Node14_MAC8023_PORT_1
			Set Node14_MAC8023_PORT_1.mac = 0:1:0:0:0:18
			Set Node14_MAC8023_PORT_1.lock_mac = off
			Set Node14_MAC8023_PORT_1.PromisOpt = off
			Set Node14_MAC8023_PORT_1.mode = full
			Set Node14_MAC8023_PORT_1.log = off
			Set Node14_MAC8023_PORT_1.logInterval = 1
			Set Node14_MAC8023_PORT_1.NumCollision = off
			Set Node14_MAC8023_PORT_1.NumUniInPkt = off
			Set Node14_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node14_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node14_MAC8023_PORT_1.NumBroInPkt = off
			Set Node14_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node14_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node14_MAC8023_PORT_1.NumDrop = off
			Set Node14_MAC8023_PORT_1.InThrput = off
			Set Node14_MAC8023_PORT_1.OutThrput = off
			Set Node14_MAC8023_PORT_1.InOutThrput = off
			Set Node14_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_UniIn.log
			Set Node14_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_UniOut.log
			Set Node14_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_UniInOut.log
			Set Node14_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_BroIn.log
			Set Node14_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_BroOut.log
			Set Node14_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_BroInOut.log
			Set Node14_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_Coll.log
			Set Node14_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_Drop.log
			Set Node14_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_InThrput.log
			Set Node14_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_OutThrput.log
			Set Node14_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N14_P1_InOutThrput.log
			Set Node14_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node14_Phy_PORT_1
			Set Node14_Phy_PORT_1.Bw = 10.00
			Set Node14_Phy_PORT_1.BER = 0.000000000
			Set Node14_Phy_PORT_1.PropDelay = 5000.00
			Set Node14_Phy_PORT_1.linkfail = off
			Set Node14_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N14_P1.linkfail

		Module Link : Node14_PORT_1
			Set Node14_PORT_1.guitag_remotenode = yes


		Bind Node14_Interface_PORT_1 Node14_ARP_PORT_1
		Bind Node14_ARP_PORT_1 Node14_FIFO_PORT_1
		Bind Node14_FIFO_PORT_1 Node14_TCPDUMP_PORT_1
		Bind Node14_TCPDUMP_PORT_1 Node14_LO_PORT_1
		Bind Node14_LO_PORT_1 Node14_MAC8023_PORT_1
		Bind Node14_MAC8023_PORT_1 Node14_Phy_PORT_1
		Bind Node14_Phy_PORT_1 Node14_PORT_1
	EndDefine

EndCreate

Create Node 15 as HOST with name = HOST15
	Define port 1
		Module Interface : Node15_Interface_PORT_1
			Set Node15_Interface_PORT_1.ip = 1.0.5.2
			Set Node15_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node15_ARP_PORT_1
			Set Node15_ARP_PORT_1.arpMode = RunARP
			Set Node15_ARP_PORT_1.flushInterval = 3000
			Set Node15_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node15_FIFO_PORT_1
			Set Node15_FIFO_PORT_1.max_qlen = 50
			Set Node15_FIFO_PORT_1.log_qlen = off
			Set Node15_FIFO_PORT_1.log_option = FullLog
			Set Node15_FIFO_PORT_1.samplerate = 1
			Set Node15_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N15_P1_qlen.log
			Set Node15_FIFO_PORT_1.log_drop = off
			Set Node15_FIFO_PORT_1.drop_samplerate = 1
			Set Node15_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N15_P1_drop.log

		Module TCPDUMP : Node15_TCPDUMP_PORT_1

		Module LO : Node15_LO_PORT_1

		Module MAC8023 : Node15_MAC8023_PORT_1
			Set Node15_MAC8023_PORT_1.mac = 0:1:0:0:0:19
			Set Node15_MAC8023_PORT_1.lock_mac = off
			Set Node15_MAC8023_PORT_1.PromisOpt = off
			Set Node15_MAC8023_PORT_1.mode = full
			Set Node15_MAC8023_PORT_1.log = off
			Set Node15_MAC8023_PORT_1.logInterval = 1
			Set Node15_MAC8023_PORT_1.NumCollision = off
			Set Node15_MAC8023_PORT_1.NumUniInPkt = off
			Set Node15_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node15_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node15_MAC8023_PORT_1.NumBroInPkt = off
			Set Node15_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node15_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node15_MAC8023_PORT_1.NumDrop = off
			Set Node15_MAC8023_PORT_1.InThrput = off
			Set Node15_MAC8023_PORT_1.OutThrput = off
			Set Node15_MAC8023_PORT_1.InOutThrput = off
			Set Node15_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_UniIn.log
			Set Node15_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_UniOut.log
			Set Node15_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_UniInOut.log
			Set Node15_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_BroIn.log
			Set Node15_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_BroOut.log
			Set Node15_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_BroInOut.log
			Set Node15_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_Coll.log
			Set Node15_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_Drop.log
			Set Node15_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_InThrput.log
			Set Node15_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_OutThrput.log
			Set Node15_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N15_P1_InOutThrput.log
			Set Node15_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node15_Phy_PORT_1
			Set Node15_Phy_PORT_1.Bw = 10.00
			Set Node15_Phy_PORT_1.BER = 0.000000000
			Set Node15_Phy_PORT_1.PropDelay = 5000.00
			Set Node15_Phy_PORT_1.linkfail = off
			Set Node15_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N15_P1.linkfail

		Module Link : Node15_PORT_1
			Set Node15_PORT_1.guitag_remotenode = yes


		Bind Node15_Interface_PORT_1 Node15_ARP_PORT_1
		Bind Node15_ARP_PORT_1 Node15_FIFO_PORT_1
		Bind Node15_FIFO_PORT_1 Node15_TCPDUMP_PORT_1
		Bind Node15_TCPDUMP_PORT_1 Node15_LO_PORT_1
		Bind Node15_LO_PORT_1 Node15_MAC8023_PORT_1
		Bind Node15_MAC8023_PORT_1 Node15_Phy_PORT_1
		Bind Node15_Phy_PORT_1 Node15_PORT_1
	EndDefine

EndCreate

Create Node 16 as HOST with name = HOST16
	Define port 1
		Module Interface : Node16_Interface_PORT_1
			Set Node16_Interface_PORT_1.ip = 1.0.6.2
			Set Node16_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node16_ARP_PORT_1
			Set Node16_ARP_PORT_1.arpMode = RunARP
			Set Node16_ARP_PORT_1.flushInterval = 3000
			Set Node16_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node16_FIFO_PORT_1
			Set Node16_FIFO_PORT_1.max_qlen = 50
			Set Node16_FIFO_PORT_1.log_qlen = off
			Set Node16_FIFO_PORT_1.log_option = FullLog
			Set Node16_FIFO_PORT_1.samplerate = 1
			Set Node16_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N16_P1_qlen.log
			Set Node16_FIFO_PORT_1.log_drop = off
			Set Node16_FIFO_PORT_1.drop_samplerate = 1
			Set Node16_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N16_P1_drop.log

		Module TCPDUMP : Node16_TCPDUMP_PORT_1

		Module LO : Node16_LO_PORT_1

		Module MAC8023 : Node16_MAC8023_PORT_1
			Set Node16_MAC8023_PORT_1.mac = 0:1:0:0:0:1a
			Set Node16_MAC8023_PORT_1.lock_mac = off
			Set Node16_MAC8023_PORT_1.PromisOpt = off
			Set Node16_MAC8023_PORT_1.mode = full
			Set Node16_MAC8023_PORT_1.log = off
			Set Node16_MAC8023_PORT_1.logInterval = 1
			Set Node16_MAC8023_PORT_1.NumCollision = off
			Set Node16_MAC8023_PORT_1.NumUniInPkt = off
			Set Node16_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node16_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node16_MAC8023_PORT_1.NumBroInPkt = off
			Set Node16_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node16_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node16_MAC8023_PORT_1.NumDrop = off
			Set Node16_MAC8023_PORT_1.InThrput = off
			Set Node16_MAC8023_PORT_1.OutThrput = off
			Set Node16_MAC8023_PORT_1.InOutThrput = off
			Set Node16_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_UniIn.log
			Set Node16_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_UniOut.log
			Set Node16_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_UniInOut.log
			Set Node16_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_BroIn.log
			Set Node16_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_BroOut.log
			Set Node16_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_BroInOut.log
			Set Node16_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_Coll.log
			Set Node16_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_Drop.log
			Set Node16_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_InThrput.log
			Set Node16_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_OutThrput.log
			Set Node16_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N16_P1_InOutThrput.log
			Set Node16_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node16_Phy_PORT_1
			Set Node16_Phy_PORT_1.Bw = 10.00
			Set Node16_Phy_PORT_1.BER = 0.000000000
			Set Node16_Phy_PORT_1.PropDelay = 5000.00
			Set Node16_Phy_PORT_1.linkfail = off
			Set Node16_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N16_P1.linkfail

		Module Link : Node16_PORT_1
			Set Node16_PORT_1.guitag_remotenode = yes


		Bind Node16_Interface_PORT_1 Node16_ARP_PORT_1
		Bind Node16_ARP_PORT_1 Node16_FIFO_PORT_1
		Bind Node16_FIFO_PORT_1 Node16_TCPDUMP_PORT_1
		Bind Node16_TCPDUMP_PORT_1 Node16_LO_PORT_1
		Bind Node16_LO_PORT_1 Node16_MAC8023_PORT_1
		Bind Node16_MAC8023_PORT_1 Node16_Phy_PORT_1
		Bind Node16_Phy_PORT_1 Node16_PORT_1
	EndDefine

EndCreate

Create Node 17 as HOST with name = HOST17
	Define port 1
		Module Interface : Node17_Interface_PORT_1
			Set Node17_Interface_PORT_1.ip = 1.0.7.2
			Set Node17_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node17_ARP_PORT_1
			Set Node17_ARP_PORT_1.arpMode = RunARP
			Set Node17_ARP_PORT_1.flushInterval = 3000
			Set Node17_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node17_FIFO_PORT_1
			Set Node17_FIFO_PORT_1.max_qlen = 50
			Set Node17_FIFO_PORT_1.log_qlen = off
			Set Node17_FIFO_PORT_1.log_option = FullLog
			Set Node17_FIFO_PORT_1.samplerate = 1
			Set Node17_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N17_P1_qlen.log
			Set Node17_FIFO_PORT_1.log_drop = off
			Set Node17_FIFO_PORT_1.drop_samplerate = 1
			Set Node17_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N17_P1_drop.log

		Module TCPDUMP : Node17_TCPDUMP_PORT_1

		Module LO : Node17_LO_PORT_1

		Module MAC8023 : Node17_MAC8023_PORT_1
			Set Node17_MAC8023_PORT_1.mac = 0:1:0:0:0:1b
			Set Node17_MAC8023_PORT_1.lock_mac = off
			Set Node17_MAC8023_PORT_1.PromisOpt = off
			Set Node17_MAC8023_PORT_1.mode = full
			Set Node17_MAC8023_PORT_1.log = off
			Set Node17_MAC8023_PORT_1.logInterval = 1
			Set Node17_MAC8023_PORT_1.NumCollision = off
			Set Node17_MAC8023_PORT_1.NumUniInPkt = off
			Set Node17_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node17_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node17_MAC8023_PORT_1.NumBroInPkt = off
			Set Node17_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node17_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node17_MAC8023_PORT_1.NumDrop = off
			Set Node17_MAC8023_PORT_1.InThrput = off
			Set Node17_MAC8023_PORT_1.OutThrput = off
			Set Node17_MAC8023_PORT_1.InOutThrput = off
			Set Node17_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_UniIn.log
			Set Node17_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_UniOut.log
			Set Node17_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_UniInOut.log
			Set Node17_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_BroIn.log
			Set Node17_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_BroOut.log
			Set Node17_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_BroInOut.log
			Set Node17_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_Coll.log
			Set Node17_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_Drop.log
			Set Node17_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_InThrput.log
			Set Node17_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_OutThrput.log
			Set Node17_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N17_P1_InOutThrput.log
			Set Node17_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node17_Phy_PORT_1
			Set Node17_Phy_PORT_1.Bw = 10.00
			Set Node17_Phy_PORT_1.BER = 0.000000000
			Set Node17_Phy_PORT_1.PropDelay = 5000.00
			Set Node17_Phy_PORT_1.linkfail = off
			Set Node17_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N17_P1.linkfail

		Module Link : Node17_PORT_1
			Set Node17_PORT_1.guitag_remotenode = yes


		Bind Node17_Interface_PORT_1 Node17_ARP_PORT_1
		Bind Node17_ARP_PORT_1 Node17_FIFO_PORT_1
		Bind Node17_FIFO_PORT_1 Node17_TCPDUMP_PORT_1
		Bind Node17_TCPDUMP_PORT_1 Node17_LO_PORT_1
		Bind Node17_LO_PORT_1 Node17_MAC8023_PORT_1
		Bind Node17_MAC8023_PORT_1 Node17_Phy_PORT_1
		Bind Node17_Phy_PORT_1 Node17_PORT_1
	EndDefine

EndCreate

Create Node 18 as HOST with name = HOST18
	Define port 1
		Module Interface : Node18_Interface_PORT_1
			Set Node18_Interface_PORT_1.ip = 1.0.8.2
			Set Node18_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node18_ARP_PORT_1
			Set Node18_ARP_PORT_1.arpMode = RunARP
			Set Node18_ARP_PORT_1.flushInterval = 3000
			Set Node18_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node18_FIFO_PORT_1
			Set Node18_FIFO_PORT_1.max_qlen = 50
			Set Node18_FIFO_PORT_1.log_qlen = off
			Set Node18_FIFO_PORT_1.log_option = FullLog
			Set Node18_FIFO_PORT_1.samplerate = 1
			Set Node18_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N18_P1_qlen.log
			Set Node18_FIFO_PORT_1.log_drop = off
			Set Node18_FIFO_PORT_1.drop_samplerate = 1
			Set Node18_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N18_P1_drop.log

		Module TCPDUMP : Node18_TCPDUMP_PORT_1

		Module LO : Node18_LO_PORT_1

		Module MAC8023 : Node18_MAC8023_PORT_1
			Set Node18_MAC8023_PORT_1.mac = 0:1:0:0:0:1c
			Set Node18_MAC8023_PORT_1.lock_mac = off
			Set Node18_MAC8023_PORT_1.PromisOpt = off
			Set Node18_MAC8023_PORT_1.mode = full
			Set Node18_MAC8023_PORT_1.log = off
			Set Node18_MAC8023_PORT_1.logInterval = 1
			Set Node18_MAC8023_PORT_1.NumCollision = off
			Set Node18_MAC8023_PORT_1.NumUniInPkt = off
			Set Node18_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node18_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node18_MAC8023_PORT_1.NumBroInPkt = off
			Set Node18_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node18_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node18_MAC8023_PORT_1.NumDrop = off
			Set Node18_MAC8023_PORT_1.InThrput = off
			Set Node18_MAC8023_PORT_1.OutThrput = off
			Set Node18_MAC8023_PORT_1.InOutThrput = off
			Set Node18_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_UniIn.log
			Set Node18_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_UniOut.log
			Set Node18_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_UniInOut.log
			Set Node18_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_BroIn.log
			Set Node18_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_BroOut.log
			Set Node18_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_BroInOut.log
			Set Node18_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_Coll.log
			Set Node18_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_Drop.log
			Set Node18_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_InThrput.log
			Set Node18_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_OutThrput.log
			Set Node18_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N18_P1_InOutThrput.log
			Set Node18_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node18_Phy_PORT_1
			Set Node18_Phy_PORT_1.Bw = 10.00
			Set Node18_Phy_PORT_1.BER = 0.000000000
			Set Node18_Phy_PORT_1.PropDelay = 5000.00
			Set Node18_Phy_PORT_1.linkfail = off
			Set Node18_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N18_P1.linkfail

		Module Link : Node18_PORT_1
			Set Node18_PORT_1.guitag_remotenode = yes


		Bind Node18_Interface_PORT_1 Node18_ARP_PORT_1
		Bind Node18_ARP_PORT_1 Node18_FIFO_PORT_1
		Bind Node18_FIFO_PORT_1 Node18_TCPDUMP_PORT_1
		Bind Node18_TCPDUMP_PORT_1 Node18_LO_PORT_1
		Bind Node18_LO_PORT_1 Node18_MAC8023_PORT_1
		Bind Node18_MAC8023_PORT_1 Node18_Phy_PORT_1
		Bind Node18_Phy_PORT_1 Node18_PORT_1
	EndDefine

EndCreate

Create Node 19 as OF_CTRL with name = OF_CTRL19
	Define port 1
		Module Interface : Node19_Interface_PORT_1
			Set Node19_Interface_PORT_1.ip = 1.0.10.1
			Set Node19_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node19_ARP_PORT_1
			Set Node19_ARP_PORT_1.arpMode = RunARP
			Set Node19_ARP_PORT_1.flushInterval = 3000
			Set Node19_ARP_PORT_1.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp

		Module FIFO : Node19_FIFO_PORT_1
			Set Node19_FIFO_PORT_1.max_qlen = 50
			Set Node19_FIFO_PORT_1.log_qlen = off
			Set Node19_FIFO_PORT_1.log_option = FullLog
			Set Node19_FIFO_PORT_1.samplerate = 1
			Set Node19_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N19_P1_qlen.log
			Set Node19_FIFO_PORT_1.log_drop = off
			Set Node19_FIFO_PORT_1.drop_samplerate = 1
			Set Node19_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N19_P1_drop.log

		Module TCPDUMP : Node19_TCPDUMP_PORT_1

		Module LO : Node19_LO_PORT_1

		Module MAC8023 : Node19_MAC8023_PORT_1
			Set Node19_MAC8023_PORT_1.mac = 0:1:0:0:0:1d
			Set Node19_MAC8023_PORT_1.lock_mac = off
			Set Node19_MAC8023_PORT_1.PromisOpt = off
			Set Node19_MAC8023_PORT_1.mode = full
			Set Node19_MAC8023_PORT_1.log = off
			Set Node19_MAC8023_PORT_1.logInterval = 1
			Set Node19_MAC8023_PORT_1.NumCollision = off
			Set Node19_MAC8023_PORT_1.NumUniInPkt = off
			Set Node19_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_1.NumBroInPkt = off
			Set Node19_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_1.NumDrop = off
			Set Node19_MAC8023_PORT_1.InThrput = off
			Set Node19_MAC8023_PORT_1.OutThrput = off
			Set Node19_MAC8023_PORT_1.InOutThrput = off
			Set Node19_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_UniIn.log
			Set Node19_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_UniOut.log
			Set Node19_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_UniInOut.log
			Set Node19_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_BroIn.log
			Set Node19_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_BroOut.log
			Set Node19_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_BroInOut.log
			Set Node19_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_Coll.log
			Set Node19_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_Drop.log
			Set Node19_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_InThrput.log
			Set Node19_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_OutThrput.log
			Set Node19_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N19_P1_InOutThrput.log
			Set Node19_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_1
			Set Node19_Phy_PORT_1.Bw = 10
			Set Node19_Phy_PORT_1.BER = 0.0
			Set Node19_Phy_PORT_1.PropDelay = 1
			Set Node19_Phy_PORT_1.linkfail = off
			Set Node19_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N19_P1.linkfail

		Module Link : Node19_PORT_1
			Set Node19_PORT_1.guitag_remotenode = yes


		Bind Node19_Interface_PORT_1 Node19_ARP_PORT_1
		Bind Node19_ARP_PORT_1 Node19_FIFO_PORT_1
		Bind Node19_FIFO_PORT_1 Node19_TCPDUMP_PORT_1
		Bind Node19_TCPDUMP_PORT_1 Node19_LO_PORT_1
		Bind Node19_LO_PORT_1 Node19_MAC8023_PORT_1
		Bind Node19_MAC8023_PORT_1 Node19_Phy_PORT_1
		Bind Node19_Phy_PORT_1 Node19_PORT_1
	EndDefine

EndCreate

Create Node 20 as OF_CTRL_SW with name = OF_CTRL_SW20
	Module Switch : Node20_Switch_0
		Set Node20_Switch_0.guitag_addport = yes
		Set Node20_Switch_0.SWITCH_MODE = KnowInAdvance
		Set Node20_Switch_0.flushInterval = 3000
		Set Node20_Switch_0.SpanningTreeProtocol = off
		Set Node20_Switch_0.HelloTime = 2
		Set Node20_Switch_0.MaxAge = 20
		Set Node20_Switch_0.ForwardDelay = 15
		Set Node20_Switch_0.SwitchTableFileName = SDN_Switch_TCP_Bandwidth_Static.sw_N20.smt
	Define port 1
		Module FIFO : Node20_FIFO_PORT_1

			Set Node20_Switch_0.port1 = Node20_FIFO_PORT_1
			Set Node20_Switch_0.fixed_net1 = Node20_FIFO_PORT_1.no
			Set Node20_FIFO_PORT_1.recvtarget = Node20_Switch_0

			Set Node20_FIFO_PORT_1.max_qlen = 50
			Set Node20_FIFO_PORT_1.log_qlen = off
			Set Node20_FIFO_PORT_1.log_option = FullLog
			Set Node20_FIFO_PORT_1.samplerate = 1
			Set Node20_FIFO_PORT_1.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N20_P1_qlen.log
			Set Node20_FIFO_PORT_1.log_drop = off
			Set Node20_FIFO_PORT_1.drop_samplerate = 1
			Set Node20_FIFO_PORT_1.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N20_P1_drop.log

		Module MAC8023 : Node20_MAC8023_PORT_1
			Set Node20_MAC8023_PORT_1.mac = 0:1:0:0:0:1e
			Set Node20_MAC8023_PORT_1.lock_mac = off
			Set Node20_MAC8023_PORT_1.PromisOpt = on
			Set Node20_MAC8023_PORT_1.mode = full
			Set Node20_MAC8023_PORT_1.log = off
			Set Node20_MAC8023_PORT_1.logInterval = 1
			Set Node20_MAC8023_PORT_1.NumCollision = off
			Set Node20_MAC8023_PORT_1.NumUniInPkt = off
			Set Node20_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_1.NumBroInPkt = off
			Set Node20_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_1.NumDrop = off
			Set Node20_MAC8023_PORT_1.InThrput = off
			Set Node20_MAC8023_PORT_1.OutThrput = off
			Set Node20_MAC8023_PORT_1.InOutThrput = off
			Set Node20_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_UniIn.log
			Set Node20_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_UniOut.log
			Set Node20_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_UniInOut.log
			Set Node20_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_BroIn.log
			Set Node20_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_BroOut.log
			Set Node20_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_BroInOut.log
			Set Node20_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_Coll.log
			Set Node20_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_Drop.log
			Set Node20_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_InThrput.log
			Set Node20_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_OutThrput.log
			Set Node20_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P1_InOutThrput.log
			Set Node20_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_1
			Set Node20_Phy_PORT_1.Bw = 10
			Set Node20_Phy_PORT_1.BER = 0.0
			Set Node20_Phy_PORT_1.PropDelay = 1
			Set Node20_Phy_PORT_1.linkfail = off
			Set Node20_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N20_P1.linkfail

		Module Link : Node20_PORT_1
			Set Node20_PORT_1.guitag_remotenode = yes


		Bind Node20_FIFO_PORT_1 Node20_MAC8023_PORT_1
		Bind Node20_MAC8023_PORT_1 Node20_Phy_PORT_1
		Bind Node20_Phy_PORT_1 Node20_PORT_1
	EndDefine

	Define port 2
		Module FIFO : Node20_FIFO_PORT_2

			Set Node20_Switch_0.port2 = Node20_FIFO_PORT_2
			Set Node20_Switch_0.fixed_net2 = Node20_FIFO_PORT_2.no
			Set Node20_FIFO_PORT_2.recvtarget = Node20_Switch_0

			Set Node20_FIFO_PORT_2.max_qlen = 50
			Set Node20_FIFO_PORT_2.log_qlen = off
			Set Node20_FIFO_PORT_2.log_option = FullLog
			Set Node20_FIFO_PORT_2.samplerate = 1
			Set Node20_FIFO_PORT_2.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N20_P2_qlen.log
			Set Node20_FIFO_PORT_2.log_drop = off
			Set Node20_FIFO_PORT_2.drop_samplerate = 1
			Set Node20_FIFO_PORT_2.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N20_P2_drop.log

		Module MAC8023 : Node20_MAC8023_PORT_2
			Set Node20_MAC8023_PORT_2.mac = 0:1:0:0:0:1f
			Set Node20_MAC8023_PORT_2.lock_mac = off
			Set Node20_MAC8023_PORT_2.PromisOpt = on
			Set Node20_MAC8023_PORT_2.mode = full
			Set Node20_MAC8023_PORT_2.log = off
			Set Node20_MAC8023_PORT_2.logInterval = 1
			Set Node20_MAC8023_PORT_2.NumCollision = off
			Set Node20_MAC8023_PORT_2.NumUniInPkt = off
			Set Node20_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_2.NumBroInPkt = off
			Set Node20_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_2.NumDrop = off
			Set Node20_MAC8023_PORT_2.InThrput = off
			Set Node20_MAC8023_PORT_2.OutThrput = off
			Set Node20_MAC8023_PORT_2.InOutThrput = off
			Set Node20_MAC8023_PORT_2.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_UniIn.log
			Set Node20_MAC8023_PORT_2.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_UniOut.log
			Set Node20_MAC8023_PORT_2.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_UniInOut.log
			Set Node20_MAC8023_PORT_2.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_BroIn.log
			Set Node20_MAC8023_PORT_2.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_BroOut.log
			Set Node20_MAC8023_PORT_2.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_BroInOut.log
			Set Node20_MAC8023_PORT_2.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_Coll.log
			Set Node20_MAC8023_PORT_2.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_Drop.log
			Set Node20_MAC8023_PORT_2.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_InThrput.log
			Set Node20_MAC8023_PORT_2.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_OutThrput.log
			Set Node20_MAC8023_PORT_2.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N20_P2_InOutThrput.log
			Set Node20_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_2
			Set Node20_Phy_PORT_2.Bw = 10
			Set Node20_Phy_PORT_2.BER = 0.0
			Set Node20_Phy_PORT_2.PropDelay = 1
			Set Node20_Phy_PORT_2.linkfail = off
			Set Node20_Phy_PORT_2.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N20_P2.linkfail

		Module Link : Node20_PORT_2
			Set Node20_PORT_2.guitag_remotenode = yes


		Bind Node20_FIFO_PORT_2 Node20_MAC8023_PORT_2
		Bind Node20_MAC8023_PORT_2 Node20_Phy_PORT_2
		Bind Node20_Phy_PORT_2 Node20_PORT_2
	EndDefine

EndCreate

Create Node 21 as OF_SW_V131 with name = OF_SW_V13121
	Module Interface : Node21_Interface_0
		Set Node21_Interface_0.ip = 1.0.10.2
		Set Node21_Interface_0.netmask = 255.255.255.0
	Module ARP : Node21_ARP_0
		Set Node21_ARP_0.arpMode = RunARP
		Set Node21_ARP_0.flushInterval = 3000
		Set Node21_ARP_0.ArpTableFileName = SDN_Switch_TCP_Bandwidth_Static.arp
	Module FIFO : Node21_FIFO_0
		Set Node21_FIFO_0.max_qlen = 50
		Set Node21_FIFO_0.log_qlen = off
		Set Node21_FIFO_0.log_option = FullLog
		Set Node21_FIFO_0.samplerate = 1
		Set Node21_FIFO_0.logFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N21_P4_qlen.log
		Set Node21_FIFO_0.log_drop = off
		Set Node21_FIFO_0.drop_samplerate = 1
		Set Node21_FIFO_0.droplogFileName = SDN_Switch_TCP_Bandwidth_Static.fifo_N21_P7_drop.log
	Module TCPDUMP : Node21_TCPDUMP_0
	Module OFLO : Node21_OFLO_0
		Set Node21_OFLO_0.mac = 0:1:0:0:0:21
	Module OFSwitch_V13 : Node21_OFSwitch_V13_0
		Set Node21_OFSwitch_V13_0.guitag_addport = yes
		Set Node21_OFSwitch_V13_0.guitag_addport = yes
		Set Node21_OFSwitch_V13_0.guitag_addport = yes
		Set Node21_OFSwitch_V13_0.flow_table_amount = 10
		Set Node21_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node21_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node21_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node21_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node21_OFSwitch_V13_0.table_miss_action = drop
		Set Node21_OFSwitch_V13_0.controller_ip = 1.0.10.1
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller = 1
		Set Node21_OFSwitch_V13_0.controller_id = master_ctl
		Set Node21_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_2nd = 1
		Set Node21_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node21_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_3rd = 1
		Set Node21_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node21_OFSwitch_V13_0.enable_4th_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_4th = 1
		Set Node21_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node21_OFSwitch_V13_0.enable_1st_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node21_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node21_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node21_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node21_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node21_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node21_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node21_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node21_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node21_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node21_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node21_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node21_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node21_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node21_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node21_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node21_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node21_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node21_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node21_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node21_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node21_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node21_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node21_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node21_OFSwitch_V13_0.max_queue_length = 1000
		Set Node21_OFSwitch_V13_0.QueueOutputMode = RATE_LIMIT
		Set Node21_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_1_min_rate = 0.5
		Set Node21_OFSwitch_V13_0.queue_1_max_rate = 0.6
		Set Node21_OFSwitch_V13_0.queue_2_min_rate = 0.3
		Set Node21_OFSwitch_V13_0.queue_2_max_rate = 0.4
		Set Node21_OFSwitch_V13_0.queue_3_min_rate = 0.2
		Set Node21_OFSwitch_V13_0.queue_3_max_rate = 0.3
		Set Node21_OFSwitch_V13_0.queue_4_min_rate = 0.2
		Set Node21_OFSwitch_V13_0.queue_4_max_rate = 0.3
		Set Node21_OFSwitch_V13_0.queue_5_min_rate = 0.2
		Set Node21_OFSwitch_V13_0.queue_5_max_rate = 0.3
		Set Node21_OFSwitch_V13_0.queue_6_min_rate = 0.2
		Set Node21_OFSwitch_V13_0.queue_6_max_rate = 0.3
		Set Node21_OFSwitch_V13_0.queue_7_min_rate = 0.1
		Set Node21_OFSwitch_V13_0.queue_7_max_rate = 0.3
	Define port 1
		Module MAC8023 : Node21_MAC8023_PORT_1

			Set Node21_OFSwitch_V13_0.port1 = Node21_MAC8023_PORT_1
			Set Node21_OFSwitch_V13_0.fixed_net1 = Node21_MAC8023_PORT_1.no
			Set Node21_MAC8023_PORT_1.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_1.mac = 0:1:0:0:0:22
			Set Node21_MAC8023_PORT_1.lock_mac = off
			Set Node21_MAC8023_PORT_1.PromisOpt = on
			Set Node21_MAC8023_PORT_1.mode = full
			Set Node21_MAC8023_PORT_1.log = off
			Set Node21_MAC8023_PORT_1.logInterval = 1
			Set Node21_MAC8023_PORT_1.NumCollision = off
			Set Node21_MAC8023_PORT_1.NumUniInPkt = off
			Set Node21_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_1.NumBroInPkt = off
			Set Node21_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_1.NumDrop = off
			Set Node21_MAC8023_PORT_1.InThrput = off
			Set Node21_MAC8023_PORT_1.OutThrput = off
			Set Node21_MAC8023_PORT_1.InOutThrput = off
			Set Node21_MAC8023_PORT_1.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_UniIn.log
			Set Node21_MAC8023_PORT_1.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_UniOut.log
			Set Node21_MAC8023_PORT_1.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_UniInOut.log
			Set Node21_MAC8023_PORT_1.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_BroIn.log
			Set Node21_MAC8023_PORT_1.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_BroOut.log
			Set Node21_MAC8023_PORT_1.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_BroInOut.log
			Set Node21_MAC8023_PORT_1.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_Coll.log
			Set Node21_MAC8023_PORT_1.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_Drop.log
			Set Node21_MAC8023_PORT_1.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_InThrput.log
			Set Node21_MAC8023_PORT_1.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_OutThrput.log
			Set Node21_MAC8023_PORT_1.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P1_InOutThrput.log
			Set Node21_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_1
			Set Node21_Phy_PORT_1.Bw = 10
			Set Node21_Phy_PORT_1.BER = 0.0
			Set Node21_Phy_PORT_1.PropDelay = 1
			Set Node21_Phy_PORT_1.linkfail = off
			Set Node21_Phy_PORT_1.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N21_P1.linkfail

		Module Link : Node21_PORT_1
			Set Node21_PORT_1.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_1 Node21_Phy_PORT_1
		Bind Node21_Phy_PORT_1 Node21_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node21_MAC8023_PORT_2

			Set Node21_OFSwitch_V13_0.port2 = Node21_MAC8023_PORT_2
			Set Node21_OFSwitch_V13_0.fixed_net2 = Node21_MAC8023_PORT_2.yes
			Set Node21_MAC8023_PORT_2.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_2.mac = 0:1:0:0:0:23
			Set Node21_MAC8023_PORT_2.lock_mac = off
			Set Node21_MAC8023_PORT_2.PromisOpt = on
			Set Node21_MAC8023_PORT_2.mode = full
			Set Node21_MAC8023_PORT_2.log = off
			Set Node21_MAC8023_PORT_2.logInterval = 1
			Set Node21_MAC8023_PORT_2.NumCollision = off
			Set Node21_MAC8023_PORT_2.NumUniInPkt = off
			Set Node21_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_2.NumBroInPkt = off
			Set Node21_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_2.NumDrop = off
			Set Node21_MAC8023_PORT_2.InThrput = off
			Set Node21_MAC8023_PORT_2.OutThrput = off
			Set Node21_MAC8023_PORT_2.InOutThrput = off
			Set Node21_MAC8023_PORT_2.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_UniIn.log
			Set Node21_MAC8023_PORT_2.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_UniOut.log
			Set Node21_MAC8023_PORT_2.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_UniInOut.log
			Set Node21_MAC8023_PORT_2.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_BroIn.log
			Set Node21_MAC8023_PORT_2.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_BroOut.log
			Set Node21_MAC8023_PORT_2.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_BroInOut.log
			Set Node21_MAC8023_PORT_2.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_Coll.log
			Set Node21_MAC8023_PORT_2.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_Drop.log
			Set Node21_MAC8023_PORT_2.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_InThrput.log
			Set Node21_MAC8023_PORT_2.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_OutThrput.log
			Set Node21_MAC8023_PORT_2.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P2_InOutThrput.log
			Set Node21_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_2
			Set Node21_Phy_PORT_2.Bw = 1000.00
			Set Node21_Phy_PORT_2.BER = 0.000000000
			Set Node21_Phy_PORT_2.PropDelay = 500.00
			Set Node21_Phy_PORT_2.linkfail = off
			Set Node21_Phy_PORT_2.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N21_P2.linkfail

		Module Link : Node21_PORT_2
			Set Node21_PORT_2.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_2 Node21_Phy_PORT_2
		Bind Node21_Phy_PORT_2 Node21_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node21_MAC8023_PORT_3

			Set Node21_OFSwitch_V13_0.port3 = Node21_MAC8023_PORT_3
			Set Node21_OFSwitch_V13_0.fixed_net3 = Node21_MAC8023_PORT_3.no
			Set Node21_MAC8023_PORT_3.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_3.mac = 0:1:0:0:0:24
			Set Node21_MAC8023_PORT_3.lock_mac = off
			Set Node21_MAC8023_PORT_3.PromisOpt = on
			Set Node21_MAC8023_PORT_3.mode = full
			Set Node21_MAC8023_PORT_3.log = off
			Set Node21_MAC8023_PORT_3.logInterval = 1
			Set Node21_MAC8023_PORT_3.NumCollision = off
			Set Node21_MAC8023_PORT_3.NumUniInPkt = off
			Set Node21_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_3.NumBroInPkt = off
			Set Node21_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_3.NumDrop = off
			Set Node21_MAC8023_PORT_3.InThrput = off
			Set Node21_MAC8023_PORT_3.OutThrput = off
			Set Node21_MAC8023_PORT_3.InOutThrput = off
			Set Node21_MAC8023_PORT_3.UniInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_UniIn.log
			Set Node21_MAC8023_PORT_3.UniOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_UniOut.log
			Set Node21_MAC8023_PORT_3.UniInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_UniInOut.log
			Set Node21_MAC8023_PORT_3.BroInLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_BroIn.log
			Set Node21_MAC8023_PORT_3.BroOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_BroOut.log
			Set Node21_MAC8023_PORT_3.BroInOutLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_BroInOut.log
			Set Node21_MAC8023_PORT_3.CollLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_Coll.log
			Set Node21_MAC8023_PORT_3.DropLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_Drop.log
			Set Node21_MAC8023_PORT_3.InThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_InThrput.log
			Set Node21_MAC8023_PORT_3.OutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_OutThrput.log
			Set Node21_MAC8023_PORT_3.InOutThrputLogFile = SDN_Switch_TCP_Bandwidth_Static.8023_N21_P3_InOutThrput.log
			Set Node21_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_3
			Set Node21_Phy_PORT_3.Bw = 1000.00
			Set Node21_Phy_PORT_3.BER = 0.000000000
			Set Node21_Phy_PORT_3.PropDelay = 500.00
			Set Node21_Phy_PORT_3.linkfail = off
			Set Node21_Phy_PORT_3.linkfailFileName = SDN_Switch_TCP_Bandwidth_Static.phy_N21_P3.linkfail

		Module Link : Node21_PORT_3
			Set Node21_PORT_3.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_3 Node21_Phy_PORT_3
		Bind Node21_Phy_PORT_3 Node21_PORT_3
	EndDefine

		Bind Node21_Interface_0 Node21_ARP_0
		Bind Node21_ARP_0 Node21_FIFO_0
		Bind Node21_FIFO_0 Node21_TCPDUMP_0
		Bind Node21_TCPDUMP_0 Node21_OFLO_0
		Bind Node21_OFLO_0 Node21_OFSwitch_V13_0
EndCreate

Connect WIRE 9.Node9_PORT_2 21.Node21_PORT_3


Connect WIRE 10.Node10_PORT_1 11.Node11_PORT_1


Connect WIRE 10.Node10_PORT_2 12.Node12_PORT_1


Connect WIRE 10.Node10_PORT_3 13.Node13_PORT_1


Connect WIRE 10.Node10_PORT_4 14.Node14_PORT_1


Connect WIRE 10.Node10_PORT_5 15.Node15_PORT_1


Connect WIRE 10.Node10_PORT_6 16.Node16_PORT_1


Connect WIRE 10.Node10_PORT_7 17.Node17_PORT_1


Connect WIRE 10.Node10_PORT_8 18.Node18_PORT_1


Connect WIRE 10.Node10_PORT_9 21.Node21_PORT_2


Connect WIRE 19.Node19_PORT_1 20.Node20_PORT_1


Connect WIRE 20.Node20_PORT_2 21.Node21_PORT_1


Connect WIRELESS 1.Node1_PORT_1 2.Node2_PORT_1 3.Node3_PORT_1 4.Node4_PORT_1 5.Node5_PORT_1 
Connect WIRELESS 6.Node6_PORT_1 7.Node7_PORT_1 8.Node8_PORT_1 9.Node9_PORT_1 


Run 30
